<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what room reservations have occurred for a specific date (month/day/year).   #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<dayReservation>
'#		<room>101</room>						-> Room number of room reservation.
'#		<eventTitle>Lan Party</eventTitle>				-> Title of the room reservation.
'#		<organizationName>ABC Corporation</organizationName>		-> Organization name associated to the room reservation.  If this contains the text "Hyperlink" eventTitle will be the text of the link and eventDescription will be the URL.
'#		<eventDescription>Awesome LAN.</eventDescription>		-> Details of the room reservation.
'#		<eventTimeGrid>8:30AM</eventTimeGrid>				-> Time grid that the room reservation occupies.
'#		<eventStatus>approved</eventStatus>				-> Status.  "approved", "pending", "denied".  Only return "approved" and "pending" to the visitor.
'#	</dayReservation>

'##### ASSIGN FORM DATA
dim month As Integer = 0
dim day As Integer = 0
dim year As Integer = 0
dim fullDateInfo() As String
if Len(Request.Form("date")) > 0 Then
	fullDateInfo = split(Request.Form("date"), "/") 
	month = fullDateInfo(0)
	day = fullDateInfo(1)
	year = fullDateInfo(2)
End if

'##### FILTER FORM DATA

'##### MAKE DATABASE CALL TO GET DATA TO SEND

'##### SEND ROOM RESERVATION DATA FOR THE DATE SPECIFIED
Response.ContentType = "text/xml"
Response.Write("<" & "?" & "xml version=""1.0"" encoding=""utf-8""" & "?" & ">" & vbCrLf)
Response.Write("<parameters>" & vbCrLf)
Response.Write("	<dayReservation>" & vbCrLf)
Response.Write("		<room>101</room>" & vbCrLf)
Response.Write("		<eventTitle>Lan Party</eventTitle>" & vbCrLf)
Response.Write("		<organizationName>ABC Corporation</organizationName>" & vbCrLf)
Response.Write("		<eventDescription>Awesome LAN.</eventDescription>" & vbCrLf)
Response.Write("		<eventTimeGrid>8:30AM</eventTimeGrid>" & vbCrLf)
Response.Write("		<eventStatus>approved</eventStatus>" & vbCrLf)
Response.Write("	</dayReservation>" & vbCrLf)
Response.Write("	<dayReservation>" & vbCrLf)
Response.Write("		<room>106</room>" & vbCrLf)
Response.Write("		<eventTitle>Safety Brief</eventTitle>" & vbCrLf)
Response.Write("		<organizationName>Fire Department</organizationName>" & vbCrLf)
Response.Write("		<eventDescription>Let's talk about fire extinguishers.</eventDescription>" & vbCrLf)
Response.Write("		<eventTimeGrid>8:30AM</eventTimeGrid>" & vbCrLf)
Response.Write("		<eventStatus>approved</eventStatus>" & vbCrLf)
Response.Write("	</dayReservation>" & vbCrLf)
Response.Write("	<dayReservation>" & vbCrLf)
Response.Write("		<room>103</room>" & vbCrLf)
Response.Write("		<eventTitle>COMP1013552871</eventTitle>" & vbCrLf)
Response.Write("		<organizationName>Course</organizationName>" & vbCrLf)
Response.Write("		<eventDescription>Learn about computers.</eventDescription>" & vbCrLf)
Response.Write("		<eventTimeGrid>12:30AM</eventTimeGrid>" & vbCrLf)
Response.Write("		<eventStatus>approved</eventStatus>" & vbCrLf)
Response.Write("	</dayReservation>" & vbCrLf)
Response.Write("	<dayReservation>" & vbCrLf)
Response.Write("		<room>104</room>" & vbCrLf)
Response.Write("		<eventTitle>Training</eventTitle>" & vbCrLf)
Response.Write("		<organizationName>IT</organizationName>" & vbCrLf)
Response.Write("		<eventDescription>Talk of the new iAcinposh.</eventDescription>" & vbCrLf)
Response.Write("		<eventTimeGrid>3:30PM</eventTimeGrid>" & vbCrLf)
Response.Write("		<eventStatus>approved</eventStatus>" & vbCrLf)
Response.Write("	</dayReservation>" & vbCrLf)
Response.Write("	<dayReservation>" & vbCrLf)
Response.Write("		<room>101</room>" & vbCrLf)
Response.Write("		<eventTitle>Finance</eventTitle>" & vbCrLf)
Response.Write("		<organizationName>Money Corp</organizationName>" & vbCrLf)
Response.Write("		<eventDescription>$ talk on money.</eventDescription>" & vbCrLf)
Response.Write("		<eventTimeGrid>10:30AM</eventTimeGrid>" & vbCrLf)
Response.Write("		<eventStatus>pending</eventStatus>" & vbCrLf)
Response.Write("	</dayReservation>" & vbCrLf)
Response.Write("	<dayReservation>" & vbCrLf)
Response.Write("		<room>104</room>" & vbCrLf)
Response.Write("		<eventTitle>Meeting Notes</eventTitle>" & vbCrLf)
Response.Write("		<organizationName>Hyperlink</organizationName>" & vbCrLf)
Response.Write("		<eventDescription>/somefolder/somepage.html</eventDescription>" & vbCrLf)
Response.Write("		<eventTimeGrid>10:30AM</eventTimeGrid>" & vbCrLf)
Response.Write("		<eventStatus>approved</eventStatus>" & vbCrLf)
Response.Write("	</dayReservation>" & vbCrLf)
Response.Write("</parameters>")
End Sub
</script>