<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what room reservations are approved as well as approved notes (or events)    #
'# for a specific date (month/year).  As well, if there are day(s) which no           #
'# reservations should be allowed (which are not weekends that can be set to not      #
'# allow reservations in JS) those are included here.				      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<roomReservation>
'#		<day>1</day>							-> Day reservation or note applies to.
'#		<month>7</month>						-> Month reservation or note applies to.
'#		<year>2010</year>						-> Year reservation or note applies to.
'#		<room>101</room>						-> Room number of reservation.  If note (or event), this value is 0.  If no reservations should be allowed for this day, the value should be set to -1.
'#		<eventTitle>Lan Party</eventTitle>				-> Title of the event.
'#	</roomReservation>

'##### ASSIGN FORM DATA
dim month As Integer = 0
dim year As Integer = 0
dim fullDateInfo() As String
if Len(Request.Form("date")) > 0 Then
	fullDateInfo = split(Request.Form("date"), "/")
	month = fullDateInfo(0)
	year = fullDateInfo(1)
End if

'##### FILTER FORM DATA

'##### MAKE DATABASE CALL TO GET DATA TO SEND

'##### SEND ROOM AND NOTE DATA FOR THE DATE SPECIFIED
Response.ContentType = "text/xml"
Response.Write("<" & "?" & "xml version=""1.0"" encoding=""utf-8""" & "?" & ">" & vbCrLf)
Response.Write("<parameters>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>1</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>101</room>" & vbCrLf)
Response.Write("		<eventTitle>Lan Party</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>4</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>106</room>" & vbCrLf)
Response.Write("		<eventTitle>Safety Brief</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>10</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>103</room>" & vbCrLf)
Response.Write("		<eventTitle>COMP1013552871</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>10</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>104</room>" & vbCrLf)
Response.Write("		<eventTitle>Meeting Notes</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>10</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>104</room>" & vbCrLf)
Response.Write("		<eventTitle>Training</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>4</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>0</room>" & vbCrLf)
Response.Write("		<eventTitle>General Training</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>4</day>" & vbCrLf)
Response.Write("		<month>7</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>0</room>" & vbCrLf)
Response.Write("		<eventTitle>Holiday</eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("	<roomReservation>" & vbCrLf)
Response.Write("		<day>15</day>" & vbCrLf)
Response.Write("		<month>8</month>" & vbCrLf)
Response.Write("		<year>2010</year>" & vbCrLf)
Response.Write("		<room>-1</room>" & vbCrLf)
Response.Write("		<eventTitle></eventTitle>" & vbCrLf)
Response.Write("	</roomReservation>" & vbCrLf)
Response.Write("</parameters>")
End Sub
</script>