#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Sends what form fields used in room and note (or event) panes are required	     #
# to be completed.								     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<config>
#		<calendarFrmPath>Reserved</calendarFrmPath>			-> Not used yet.
#		<calendarFirstName>1</calendarFirstName>			-> Set to 1 to make "first name" field visible and required for user completion.
#		<calendarLastName>1</calendarLastName>				-> Set to 1 to make "last name" field visible and required for user completion.
#		<calendarEmail>1</calendarEmail>				-> Set to 1 to make "email" field visible and required for user completion.
#		<calendarOrganizationName>1</calendarOrganizationName>		-> Set to 1 to make "organization name" field visible and required for user completion.
#		<calendarEventTitle>1</calendarEventTitle>			-> Set to 1 to make "event field" field visible and required for user completion.
#		<calendarEventRoomRecur>0</calendarEventRoomRecur>		-> Set to 1 to make recurring event date selection visible for user completion for room reservations.
#		<calendarEventDescription>1</calendarEventDescription>		-> Set to 1 to make "event description" field visible and required for user completion.
#	</config>

##### SEND FORM CONFIGURATION DATA
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<config>\n";
print "		<calendarFrmPath>Reserved</calendarFrmPath>\n";
print "		<calendarFirstName>1</calendarFirstName>\n";
print "		<calendarLastName>1</calendarLastName>\n";
print "		<calendarEmail>1</calendarEmail>\n";
print "		<calendarOrganizationName>1</calendarOrganizationName>\n";
print "		<calendarEventTitle>1</calendarEventTitle>\n";
print "		<calendarEventRoomRecur>0</calendarEventRoomRecur>\n";
print "		<calendarEventDescription>1</calendarEventDescription>\n";
print "	</config>\n";
print "</parameters>";

exit;