#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Sends what room reservations are approved as well as approved notes (or events)    #
# for a specific date (month/year).  As well, if there are day(s) which no           #
# reservations should be allowed (which are not weekends that can be set to not      #
# allow reservations in JS) those are included here.				     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<roomReservation>
#		<day>1</day>							-> Day reservation or note applies to.
#		<month>7</month>						-> Month reservation or note applies to.
#		<year>2010</year>						-> Year reservation or note applies to.
#		<room>101</room>						-> Room number of reservation.  If note (or event), this value is 0.  If no reservations should be allowed for this day, the value should be set to -1.
#		<eventTitle>Lan Party</eventTitle>				-> Title of the event.
#	</roomReservation>

##### GET FORM DATA
read(STDIN, $myaction, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $myaction); 
foreach $pair (@pairs) {
			($name, $value) = split(/=/, $pair);
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ s/<([^>]|\n)*>//g;
			$FORM{$name} = $value;
                       }

##### ASSIGN FORM DATA
$month = 0; $year = 0;
@fullDateInfo = split(/\//, $FORM{'date'});
$month = $fullDateInfo[0];
$year = $fullDateInfo[1];

##### FILTER FORM DATA

##### MAKE DATABASE CALL TO GET DATA TO SEND

##### SEND ROOM AND NOTE DATA FOR THE DATE SPECIFIED
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<roomReservation>\n";
print "		<day>1</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>101</room>\n";
print "		<eventTitle>Lan Party</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>4</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>106</room>\n";
print "		<eventTitle>Safety Brief</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>10</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>103</room>\n";
print "		<eventTitle>COMP1013552871</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>10</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>104</room>\n";
print "		<eventTitle>Meeting Notes</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>10</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>104</room>\n";
print "		<eventTitle>Training</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>4</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>0</room>\n";
print "		<eventTitle>General Training</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>4</day>\n";
print "		<month>7</month>\n";
print "		<year>2010</year>\n";
print "		<room>0</room>\n";
print "		<eventTitle>Holiday</eventTitle>\n";
print "	</roomReservation>\n";
print "	<roomReservation>\n";
print "		<day>15</day>\n";
print "		<month>8</month>\n";
print "		<year>2010</year>\n";
print "		<room>-1</room>\n";
print "		<eventTitle></eventTitle>\n";
print "	</roomReservation>\n";
print "</parameters>";

exit;