#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Sends details of each available room (for making or viewing room reservations) in  #
# the day pane.									     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<roomDetail>
#		<room>101</room>								-> Available room number.
#		<capacity>6</capacity>								-> Number of seats in room.
#		<roomName>Tiny Room</roomName>							-> Name of room.
#		<roomType>Standard</roomType>							-> Type of room.
#		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>	-> Hardware present in room.
#	</roomDetail>

##### SEND ROOM DETAILS
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<roomDetail>\n";
print "		<room>101</room>\n";
print "		<capacity>6</capacity>\n";
print "		<roomName>Tiny Room</roomName>\n";
print "		<roomType>Standard</roomType>\n";
print "		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>\n";
print "	</roomDetail>\n";
print "	<roomDetail>\n";
print "		<room>104</room>\n";
print "		<capacity>4</capacity>\n";
print "		<roomName>Chat Room</roomName>\n";
print "		<roomType>Standard</roomType>\n";
print "		<roomFeatures>chairs; tv; vcr; dvd</roomFeatures>\n";
print "	</roomDetail>\n";
print "	<roomDetail>\n";
print "		<room>103</room>\n";
print "		<capacity>34</capacity>\n";
print "		<roomName>Bigger Room</roomName>\n";
print "		<roomType>Standard</roomType>\n";
print "		<roomFeatures>tables; chairs</roomFeatures>\n";
print "	</roomDetail>\n";
print "	<roomDetail>\n";
print "		<room>106</room>\n";
print "		<capacity>30</capacity>\n";
print "		<roomName>Big Room</roomName>\n";
print "		<roomType>Standard</roomType>\n";
print "		<roomFeatures>computer; projector; pulldown screen; whiteboard; tv; dataports</roomFeatures>\n";
print "	</roomDetail>\n";
print "</parameters>";

exit;