<?php
/*
######################################################################################
# jsModusCalendar Handler							     #
# Sends what room reservations are approved as well as approved notes (or events)    #
# for a specific date (month/year).  As well, if there are day(s) which no           #
# reservations should be allowed (which are not weekends that can be set to not      #
# allow reservations in JS) those are included here.				     #
######################################################################################
*/

/*
##### RESPONSE XML STREAM MEANING
#	<roomReservation>
#		<day>1</day>							-> Day reservation or note applies to.
#		<month>7</month>						-> Month reservation or note applies to.
#		<year>2010</year>						-> Year reservation or note applies to.
#		<room>101</room>						-> Room number of reservation.  If note (or event), this value is 0.  If no reservations should be allowed for this day, the value should be set to -1.
#		<eventTitle>Lan Party</eventTitle>				-> Title of the event.
#	</roomReservation>
*/

/*
##### ASSIGN FORM DATA
*/
$month = 0; $year = 0;
$fullDateInfo = explode("/", $_POST['date']);
$month = $fullDateInfo[0];
$year = $fullDateInfo[1];

/*
##### FILTER FORM DATA
*/

/*
##### MAKE DATABASE CALL TO GET DATA TO SEND
*/

/*
##### SEND ROOM AND NOTE DATA FOR THE DATE SPECIFIED
*/
header("Content-type: text/xml");
print "<" . "?" . "xml version=\"1.0\" encoding=\"utf-8\"" . "?" . ">\r\n";
print "<parameters>\r\n";
print "	<roomReservation>\r\n";
print "		<day>1</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>101</room>\r\n";
print "		<eventTitle>Lan Party</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>4</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>106</room>\r\n";
print "		<eventTitle>Safety Brief</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>10</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>103</room>\r\n";
print "		<eventTitle>COMP1013552871</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>10</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>104</room>\r\n";
print "		<eventTitle>Meeting Notes</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>10</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>104</room>\r\n";
print "		<eventTitle>Training</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>4</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>0</room>\r\n";
print "		<eventTitle>General Training</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>4</day>\r\n";
print "		<month>7</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>0</room>\r\n";
print "		<eventTitle>Holiday</eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "	<roomReservation>\r\n";
print "		<day>15</day>\r\n";
print "		<month>8</month>\r\n";
print "		<year>2010</year>\r\n";
print "		<room>-1</room>\r\n";
print "		<eventTitle></eventTitle>\r\n";
print "	</roomReservation>\r\n";
print "</parameters>";
?>