/*
  jsModusCalendar.  Written by Joe McCormack, 2009.  www.virtualsecrets.com.
  Version 1.2.
*/
/* Define Server-Side Pages Handling Requests */
var calendarSPathParams = "calendarFrmParams.xml";		/* Path to the page serving form parameter configuration data */
var calendarSPathTimes = "calendarTimeSlots.xml";		/* Path to the page serving available time slots used with reserving rooms */
var calendarSPathRoomInfo = "calendarRoomDetails.xml";		/* Path to the page serving general information concerning rooms that may be reserved */
var calendarSPathMonth = "calendarGetMonth.xml";		/* Path to the page serving room reservation and notes data */
var calendarSPathDay = "calendarGetDay.xml";			/* Path to the page serving all room reservation data for a specific day */
var calendarSPathNotes = "calendarGetNotes.xml";		/* Path to the page serving all general notes (events) for a specific day */
var calendarSPathRooms = "calendarGetReservation.xml";		/* Path to the page accepting room reservation submissions */
var calendarSPathSNotes = "calendarGetNoteReservation.xml";	/* Path to the page accepting note (or event) submissions */

/* Define Event Messages */
var calendarRmReservationMsg = "In order to make a room reservation select one or more empty grids.  If you have special requirements for a room contact <a href=\"mailto:you@yoursite.com?subject=Room%20Reservation%20Requirements%20Inquiry\">you@yoursite.com</a>."; /* Message to display when a specific day of events is loaded for display */
var calendarRoomIntroMsg = "Your request will be evaluated after you commit to the reservation."; /* Default message to show when the room reservation pane is shown */
var calendarNoteIntroMsg = "Note: An event, not tied to a room, lasts one or more days."; /* Default message to show when the note (or event) pane is shown */
var calendarProcessingMsg = "Processing request.  Please wait..."; /* Message to display while handling a request */
var calendarGetMsg = "Retrieving calendar.  Please wait..."; /* Message to display while retreiving the calendar */
var calendarGetFailMsg = "The calendar could not be retrieved due to an unexpected server error."; /* Message to display when a calendar request fails */
var calendarSubmitSuccessMsg = "Your request was successfully received. Updating your calendar..."; /* Message to display when a submission is successful */
var calendarSubmitFailMsg = "Your reservation could not be made due to an unexpected server error."; /* Message to display when a submission fails */
var calendarEventMoreBlurb = ""; /* Text to add into event reservation pane title */

/* Define UI/CSS */
var calendarAllowCenter = 1;				/* Allow calendar to be centered on page?  1 = yes, 0 = no */
var calendarAllowRoomReservations = 1;			/* Allow room submissions to be made?  1 = yes, 0 = no */
var calendarAllowNotes = 1;				/* Allow general notes submissions (or events) to be made?  1 = yes, 0 = no */
var calendarPageBlackout = 0;				/* Darken entire page when calendar is active?  1 = yes, 0 = no */
var calendarAllowWeekendSubmit = 1;			/* Allow submissions to be made for weekends?  1 = yes, 0 = no */
var calendarSortTimeSlotsAllow = 0;			/* Allow the automatic sort of time slots?  1 = yes, 0 = no */
var calendarPaneTitleMax = 12;				/* Maximum number of characters allowed for items appearing in the grids of the calendar pane */
var calendarPaneTitleNoteMax = 17;			/* Maximum number of characters allowed for note (or event) items appearing in the grids of the calendar pane */
var calendarDayTitleMax = 9;				/* Maximum number of characters allowed for items appearing in the girds of the day details pane */
var calendarInitialMsgWidth = 250;			/* Width of the initial message shown before calendar is loaded for the first time */
var calendarTotalWidthIE = 1009;			/* Width of calendar month area for IE */
var calendarTotalWidthOther = 1015;			/* Width of calendar month area for Other browsers */
var calendarReviewPaneWidthIE = 1171;			/* Width of calendar review pane for IE - if number of time slots are changed this will need to be changed */
var calendarReviewPaneWidthOther = 1183;		/* Width of calendar review pane for Other browsers - if number of time slots are changed this will need to be changed */
var calendarTitleBlockHeight = 30;			/* Height of the header title block in the calendar (ie, January 2010) */
var calendarTitleDayBlockHeight = 20;			/* Height of the day title block in the calendar (ie, Sunday) */
var calendarDayBlockHeight = 100;			/* Height of a day block in the calendar in pixels */
var calendarChangeAndMsgsHeight = 50;			/* Height of the block below the calendar month display containing the month selection and message area */
var calendarChangeWidth = 150;				/* Width of the month selection (next to the message area) */
var calendarBlockOverlayVerticalOffset = -3;		/* How much to offset the height of the overlay that appears over the calendar */
var calendarBorderWidth = 1;				/* Width of the borders of the calendar in pixels */
var calendarPaneTitleBlockHeight = 20;			/* Height of the pane title */
var calendarPaneReviewTimeGridWidth = 90;		/* Width of the time grids */
var calendarReservePane = 650;				/* Width of the room reservation form pane */
var calendarEventDescriptionInputHeight = 150;		/* Height of textarea of room reservation pane */
var calendarEventDescriptionInputTopBtmPadding = 10;	/* Non-IE browsers challenged by textarea of room reservations pane.  This variable used later to compensate and is top / bottom padding defined in the class "calendarReservePaneRightTxt" */
var calendarStartZ = 5000;				/* Starting z-index of all panes */
var calendarOpacityIE = "filter: alpha(opacity=60);";	/* Opacity filter for IE (if included for Opera browsers, causes code to not work in Opera) */
var calendarOpacityOther = "opacity: 0.6;";		/* Opacity filter for everyone else */
var calendarMainPaneCloseBtn = "[x]";			/* "Button" to use for the close marker of the calendar pane */
var calendarRoomPaneCloseBtn = "[x]";			/* "Button" to use for the close marker of the room reservation pane */
var calendarNotePaneCloseBtn = "[x]";			/* "Button" to use for the close marker of the note (or event) pane */
var calendarTimeSlotActive = "#F1DBD4";			/* Color of a time block when selected by the user */
var calendarTimeSlotDefault = "#FFFFFF";		/* Default color of the time block */

/* DOCTYPE DETECTION - Do Not Use */
var captureDocTypeFound = 0; /* 1 = doctype definition found in page, 0 = not found */
var captureDoctypeLabel = ""; /* Output like: HTML */
var captureDoctypeType = ""; /* Output like: -//W3C//DTD XHTML 1.0 Transitional//EN */
var captureDoctypePath = ""; /* Output like: http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd */

/* Adjust CSS based on browser and doctype (do not alter) */
captureDocTypeDefinition();
var calendarTotalWidthSwap = calendarTotalWidthOther;
var calendarReviewWidthSwap = calendarReviewPaneWidthOther;
var calendarOpacity = calendarOpacityOther;
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) {
							    if (captureDocTypeFound == 0) {
											   /* Calendar Pane */
											   calendarTotalWidthSwap = calendarTotalWidthIE;
											   calendarOpacity = calendarOpacityIE;
											   /* Review Pane */
											   calendarReviewWidthSwap = calendarReviewPaneWidthIE;
											  }
							    else { calendarOpacity = calendarOpacityIE; }
							   }

/* Create Stylesheet */
cssStyles = new Array();
cssStyles[0] = {elementTitle:".calendarInitialMsgBlock", elementData:"position: absolute; display: none; z-index: " + calendarStartZ + "; top: 10px; left: 10px; width: " + calendarInitialMsgWidth + "px; height: auto; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #F5F5D7;"};
cssStyles[1] = {elementTitle:".calendarInitialMsgBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 5px; padding-bottom: 5px; padding-left: 5px; padding-right: 5px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[2] = {elementTitle:".calendarBlockPageShader", elementData:"display: none; position: absolute; z-index: " + (calendarStartZ + 10) + "; top: 0px; left: 0px; width: 100%; height: 100%; background-color: #000000; " + calendarOpacity + ""};
/* Calendar Pane */
cssStyles[3] = {elementTitle:".calendarBlock", elementData:"display: none; position: absolute; z-index: " + (calendarStartZ + 20) + "; top: 0px; left: 0px; width: " + calendarTotalWidthSwap + "px; height: auto; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #E7E7F2;"};
cssStyles[4] = {elementTitle:".calendarBlockOverlay", elementData:"display: none; position: absolute; z-index: " + (calendarStartZ + 30) + "; top: 0px; left: 0px; width: " + calendarTotalWidthSwap + "px; height: auto; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #000000; " + calendarOpacity + ""};
cssStyles[5] = {elementTitle:".calendarDivBreak", elementData:"position: relative; float: left; clear: both; font-size: 0; line-height: 0; height: 0;"};
/* Calendar Pane Content */
cssStyles[6] = {elementTitle:".calendarMonthTitleBlock", elementData:"position: relative; display: block; float: left; width: " + (calendarTotalWidthSwap - calendarBorderWidth) + "px; height: " + calendarTitleBlockHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; background-color: #D4D4F1;"};
cssStyles[7] = {elementTitle:".calendarMonthTitleBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 5px; font-family: verdana; font-size: 12pt; font-weight: bold; color: #000000;"};
cssStyles[8] = {elementTitle:".calendarMonthTitleBlockTxtClose", elementData:"font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[9] = {elementTitle:".calendarDayTitleBlock", elementData:"position: relative; display: block; float: left; background-color: #B7B6E8; width: 144px; height: " + calendarTitleDayBlockHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000;"};
cssStyles[10] = {elementTitle:".calendarDayTitleBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 1px; font-family: verdana; font-size: 10pt; font-weight: bold; color: #000000;"};
cssStyles[11] = {elementTitle:".calendarDayBlock", elementData:"position: relative; display: block; float: left; background-color: #FFFFFF; width: 144px; height: " + calendarDayBlockHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000;"};
cssStyles[12] = {elementTitle:".calendarDayBlockTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-left: 3px; padding-right: 3px; font-family: verdana; font-size: 7pt; font-weight: normal; color: #4A4A4A;"};
cssStyles[13] = {elementTitle:".calendarDayBlockPageNumTxt", elementData:"text-align: right; margin: 0 0 0 0; padding-right: 3px; font-family: verdana; font-size: 10pt; font-weight: bold; color: #000000;"};
cssStyles[14] = {elementTitle:".calendarDayBlockNoDay", elementData:"position: relative; display: block; float: left; background-color: #EAEBFB; width: 144px; height: " + calendarDayBlockHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000;"};
cssStyles[15] = {elementTitle:".calendarDayBlockNoWeekend", elementData:"position: relative; display: block; float: left; background-color: #EAEBFB; width: 144px; height: " + calendarDayBlockHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000;"};
cssStyles[16] = {elementTitle:".calendarMonthTarget", elementData:"position: relative; display: block; float: left; width: " + calendarChangeWidth + "px; height: " + calendarChangeAndMsgsHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; background-color: #FFFFFF;"};
cssStyles[17] = {elementTitle:".monthTargetPara", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 13px;"};
cssStyles[18] = {elementTitle:".monthTarget", elementData:"font-family: verdana; font-size: 10pt; font-weight: normal; color: #000000;"};
cssStyles[19] = {elementTitle:".calendarMsgBlock", elementData:"position: relative; display: block; float: left; width: " + (calendarTotalWidthSwap - calendarChangeWidth - calendarBorderWidth) + "px; height: " + calendarChangeAndMsgsHeight + "px; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; background-color: #FFFFFF;"};
cssStyles[20] = {elementTitle:".calendarMsgBlockTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 16px; padding-left: 5px; padding-right: 5px; font-family: verdana; font-size: 10pt; font-weight: normal; color: blue;"};
/* Calendar Review Day Pane */
cssStyles[21] = {elementTitle:".calendarReviewPane", elementData:"display: none; position: absolute; z-index: " + (calendarStartZ + 40) + "; top: 20px; left: 20px; width: " + calendarReviewWidthSwap + "px; height: auto; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000;"};
cssStyles[22] = {elementTitle:".calendarReviewPaneOverlay", elementData:"display: none; position: absolute; z-index: " + (calendarStartZ + 50) + "; top: 20px; left: 20px; width: " + calendarReviewWidthSwap + "px; height: 100px; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #000000; " + calendarOpacity + ""};
cssStyles[23] = {elementTitle:".calendarReviewPaneTitleBlock", elementData:"position: relative; display: block; float: left; width: " + (calendarReviewWidthSwap - calendarBorderWidth) + "px; height: " + calendarPaneTitleBlockHeight + "px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #B7B6E8;"};
cssStyles[24] = {elementTitle:".calendarReviewPaneTitleBlockTxt", elementData:"text-align: right; margin: 0 0 0 0; padding-top: 2px; padding-right: 5px; font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[25] = {elementTitle:".calendarReviewPaneClose", elementData:"font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[26] = {elementTitle:".calendarReviewPaneContentBlock", elementData:"position: relative; display: block; float: left; width: " + calendarReviewWidthSwap + "px; height: 100%; background-color: #FFFFFF;"};
cssStyles[27] = {elementTitle:".calendarReviewPaneContentBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 2px; font-family: verdana; font-size: 10pt; font-weight: normal; color: #000000;"};
cssStyles[28] = {elementTitle:".calendarReviewPaneNoContentBlock", elementData:"position: relative; display: block; float: left; width: 100%; height: 20px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; background-color: #FFFFFF;"};
cssStyles[29] = {elementTitle:".calendarReviewPaneNoContentBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 2px; font-family: verdana; font-size: 10pt; font-weight: normal; color: #000000;"};
cssStyles[30] = {elementTitle:".timeGridTitle", elementData:"position: relative; display: block; float: left; width: " + calendarPaneReviewTimeGridWidth + "px; height: 20px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #D4D4F1;"};
cssStyles[31] = {elementTitle:".timeGridTitleTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 2px; font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[32] = {elementTitle:".timeGridContent", elementData:"position: relative; display: block; float: left; width: " + calendarPaneReviewTimeGridWidth + "px; height: 20px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #FFFFFF;"};
cssStyles[33] = {elementTitle:".timeGridContentTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 2px; font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[34] = {elementTitle:".generalNotesTitleBlock", elementData:"position: relative; display: block; float: left; width: " + (calendarReviewWidthSwap - calendarBorderWidth) + "; height: 20px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-bottom-style: solid; border-bottom-width: " + (calendarBorderWidth * 2) + "px; border-bottom-color: #000000; background-color: #B7B6E8;"};
cssStyles[35] = {elementTitle:".generalNotesTitleBlockTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 2px; padding-left: 5px; font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[36] = {elementTitle:".generalNotesContentBlock", elementData:"position: relative; display: block; float: left; width: " + (calendarReviewWidthSwap - calendarBorderWidth) + "; height: auto; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; background-color: #FFFFFF;"};
cssStyles[37] = {elementTitle:".generalNotesContentBlockTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 2px; padding-bottom: 2px; padding-left: 5px; padding-right: 5px; font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[38] = {elementTitle:".calendarReviewPaneMsgBlock", elementData:"position: relative; display: block; float: left; width: " + (calendarReviewWidthSwap * .75) + "px; height: 30px; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; background-color: #FFFFFF;"};
cssStyles[39] = {elementTitle:".calendarReviewPaneMsgBlockTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 7px; padding-left: 5px; padding-right: 5px; font-family: verdana; font-size: 8pt; font-weight: normal; color: blue;"};
cssStyles[40] = {elementTitle:".calendarReviewPaneActionBlock", elementData:"position: relative; display: block; float: left; width: " + ((calendarReviewWidthSwap * .25) - calendarBorderWidth) + "px; height: 30px; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; background-color: #FFFFFF;"};
cssStyles[41] = {elementTitle:".calendarReviewPaneActionBtnLeftBlock", elementData:"position: relative; display: none; float: left; width: " + (((calendarReviewWidthSwap * .25) / 2) - calendarBorderWidth) + "px; height: 20px; background-color: #FFFFFF;"};
cssStyles[42] = {elementTitle:".calendarReviewPaneActionBtnLeftBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 6px; padding-left: 5px;"};
cssStyles[43] = {elementTitle:".calendarReviewPaneActionBtnLeftReserve", elementData:"font-family: verdana; font-size: 7pt; color: #000000; border-style: solid; border-width: 1px; background-color: #D4D4F1;"};
cssStyles[44] = {elementTitle:".calendarReviewPaneActionBtnRightBlock", elementData:"position: relative; display: none; float: left; width: " + (((calendarReviewWidthSwap * .25) / 2) - calendarBorderWidth) + "px; height: 20px; background-color: #FFFFFF;"};
cssStyles[45] = {elementTitle:".calendarReviewPaneActionBtnRightBlockTxt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 6px; padding-left: 5px;"};
cssStyles[46] = {elementTitle:".calendarReviewPaneActionBtnRightClear", elementData:"font-family: verdana; font-size: 7pt; color: #000000; border-style: solid; border-width: 1px; background-color: #D4D4F1;"};
cssStyles[47] = {elementTitle:".calendarReviewDetailsPane", elementData:"position: absolute; display: none; z-index: " + (calendarStartZ + 60) + "; top: 10px; left: 10px; width: " + (calendarPaneReviewTimeGridWidth * 3) + "px; height: auto; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #F5F5D7;"};
cssStyles[48] = {elementTitle:".calendarReviewDetailsPaneTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 5px; padding-bottom: 5px; padding-left: 5px; padding-right: 5px; font-family: verdana; font-size: 8pt; color: #000000;"};
/* Calendar Review Reservation Pane */
cssStyles[49] = {elementTitle:".calendarReservePane", elementData:"position: absolute; display: none; z-index: " + (calendarStartZ + 70) + "; top: 10px; left: 10px; width: " + calendarReservePane + "px; height: auto; border-left-style: solid; border-left-width: " + calendarBorderWidth + "px; border-left-color: #000000; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; border-right-style: solid; border-right-width: " + calendarBorderWidth + "px; border-right-color: #000000; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #FFFFFF;"};
cssStyles[50] = {elementTitle:".calendarReviewPaneFormTitleBlock", elementData:"position: relative; display: block; float: left; width: " + calendarReservePane + "px; height: 20px; border-bottom-style: solid; border-bottom-width: " + calendarBorderWidth + "px; border-bottom-color: #000000; background-color: #B7B6E8;"};
cssStyles[51] = {elementTitle:".calendarReviewPaneTitleFormBlockTxt", elementData:"text-align: right; margin: 0 0 0 0; padding-top: 2px; padding-right: 5px; font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[52] = {elementTitle:".calendarReviewFrmPaneClose", elementData:"font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[53] = {elementTitle:".calendarReservePaneLeft", elementData:"position: relative; display: block; float: left; width: " + ((calendarReservePane / 2) - calendarBorderWidth) + "px; height: 30px; background-color: #FFFFFF;"};
cssStyles[54] = {elementTitle:".calendarReservePaneLeftTxt", elementData:"text-align: right; margin: 0 0 0 0; padding-top: 8px; padding-right: 5px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[55] = {elementTitle:".calendarReservePaneRight", elementData:"position: relative; display: block; float: right; width: " + ((calendarReservePane / 2) - calendarBorderWidth) + "px; height: 30px; background-color: #FFFFFF;"};
cssStyles[56] = {elementTitle:".calendarReservePaneRightTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 5px; padding-left: 5px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[57] = {elementTitle:".calendarFirstNameInput", elementData:"width: 200px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[58] = {elementTitle:".calendarLastNameInput", elementData:"width: 200px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[59] = {elementTitle:".calendarEmailInput", elementData:"width: 200px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[60] = {elementTitle:".calendarOrganizationNameInput", elementData:"width: 200px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[61] = {elementTitle:".calendarEventTitleInput", elementData:"width: 200px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[62] = {elementTitle:".calendarEventDescriptionInput", elementData:"width: 200px; height: " + calendarEventDescriptionInputHeight + "px; font-family: verdana; font-size: 8pt; color: #000000;"};
cssStyles[63] = {elementTitle:".calendarReservePaneLeftMsg", elementData:"position: relative; display: block; float: left; width: " + ((calendarReservePane * .65) - calendarBorderWidth) + "px; height: 30px; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; background-color: #FFFFFF;"};
cssStyles[64] = {elementTitle:".calendarReservePaneLeftMsgTxt", elementData:"text-align: left; margin: 0 0 0 0; padding-top: 5px; padding-bottom: 5px; padding-left: 5px; font-family: verdana; font-size: 8pt; color: blue;"};
cssStyles[65] = {elementTitle:".calendarReservePaneRightSbt", elementData:"position: relative; display: block; float: left; width: " + ((calendarReservePane * .35) - calendarBorderWidth) + "px; height: 30px; border-top-style: solid; border-top-width: " + calendarBorderWidth + "px; border-top-color: #000000; background-color: #FFFFFF;"};
cssStyles[66] = {elementTitle:".calendarReservePaneRightTxtSbt", elementData:"text-align: center; margin: 0 0 0 0; padding-top: 5px; font-family: verdana; font-size: 8pt; color: #000000;"};
/* Calendar Note Reservation Pane (other classes used are from Review Reservation Pane) */
cssStyles[67] = {elementTitle:".calendarNoteFrmOpen", elementData:"font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[68] = {elementTitle:".calendarNoteDateSel", elementData:"font-family: verdana; font-size: 8pt; font-weight: normal; color: #000000;"};
cssStyles[69] = {elementTitle:".calendarReserveNotePaneLeft", elementData:"position: relative; display: block; float: left; width: " + ((calendarReservePane * .40) - calendarBorderWidth) + "px; height: 30px; background-color: #FFFFFF;"};
cssStyles[70] = {elementTitle:".calendarReserveNotePaneRight", elementData:"position: relative; display: block; float: right; width: " + ((calendarReservePane * .60) - calendarBorderWidth) + "px; height: 30px; background-color: #FFFFFF;"};

/* DO NOT USE */
roomDetails = new Array(); timeGrids = new Array(); dayReservations = new Array(); roomReservations = new Array(); calendarDetails = new Array();
currentRoom = new Array(); generalNotes = new Array(); calendarRebuild = new Array(); calendarReservationTimeSlot = new Array();
var calendarElementsInitialized = 0, calendarInitialMsgState = 0, calendarNumWeeks = 0, calendarInitialRenderFlagIE = 0;
var tmpPaneDayNum = 0, tmpPaneMonthNum = 0, tmpPaneYearNum = 0;
var calendarFirstNameField = 0, calendarLastNameField = 0, calendarEmailField = 0;
var calendarOrganizationNameField = 0, calendarEventTitleField = 0, calendarEventRoomRecurField = 0, calendarEventDescriptionField = 0;
var numDateChosen = "", txtDateChosen = "", tmpPaneDayName = "", tmpPaneMonthName = "", calendarFrmPath = "";
/* XML */
var leadnode = "parameters"; var xml; var xml_data; var ajax_request;
parent_node_names = new Array(); xml_node_path = new Array(); xml_node_value = new Array();
var step = 0, bstep = 0, xml_second_flag = 0, xml_node_count = 0, xml_row_count = 0, xml_parent_count = 0;
var xml_first_block = "", xml_second_block = "", xml_dot_name = "", xml_dot_value = "", xml_first_node = "", fnode_name = "", fnode_value = "";
var calendarLoadDataSequence = "";
/* Worker */
function roomDetailsConstructor(room, capacity, type, config, features) {
this.room = room;
this.capacity = capacity;
this.type = type;
this.config = config;
this.features = features;
}
function roomDetailsSortWorker(a, b) {
var x = parseInt(a.room);
var y = parseInt(b.room);
return ((x < y) ? -1 : ((x > y) ? 1 : 0));
}
function dayReservationsConstructor(room, evt, organization, detail, timegrid, status) {
this.room = room;
this.evt = evt;
this.organization = organization;
this.detail = detail;
this.timegrid = timegrid;
this.status = status;
}
function dayReservationsSortWorker(a, b) {
var x = parseInt(a.roomNumber);
var y = parseInt(b.roomNumber);
return ((x < y) ? -1 : ((x > y) ? 1 : 0));
}
function currentRoomConstructor(room, evt, organization, detail, timegrid, status) {
this.room = room;
this.evt = evt;
this.organization = organization;
this.detail = detail;
this.timegrid = timegrid;
this.status = status;
}
function roomReservationsConstructor(room, evt, organization, detail, timegrid, status) {
this.room = room;
this.evt = evt;
this.organization = organization;
this.detail = detail;
this.timegrid = timegrid;
this.status = status;
}
function timeGridsConstructor(tmgrid) {
this.tmgrid = tmgrid;
}
function timeGridsSortWorker(a, b) {
var x = parseInt(a);
var y = parseInt(b);
return ((x < y) ? -1 : ((x > y) ? 1 : 0));
}
function generalNotesConstructor(title, detail) {
this.title = title;
this.detail = detail;
}
function generalNotesSortWorker(a, b) {
var x = a.title.toLowerCase();
var y = a.title.toLowerCase();
return ((x < y) ? -1 : ((x > y) ? 1 : 0));
}
function calendarDetailsConstructor(day, month, year, totalDays, room, title) {
this.day = day;
this.month = month;
this.year = year;
this.room = room;
this.totalDays = totalDays;
this.title = title;
}
function calendarDetailsSortWorker(a, b) {
var x = parseInt(a.day);
var y = parseInt(b.day);
return ((x < y) ? -1 : ((x > y) ? 1 : 0));
}
function calendarRebuildConstructor(day, month, year, totalDays, room, title) {
this.day = day;
this.month = month;
this.year = year;
this.room = room;
this.totalDays = totalDays;
this.title = title;
}
function calendarTimeGridSelSortWorker(a, b) {
return ((a < b) ? -1 : ((a > b) ? 1 : 0));
}
function setupCSS() {
/* Declare */
var cssTitle = "roomCalendarStyles";
var cssBlock = document.createElement("style");
cssBlock.type = "text/css";
cssBlock.rel = "stylesheet";
cssBlock.media = "screen";
cssBlock.title = cssTitle;
document.getElementsByTagName("head")[0].appendChild(cssBlock);
/* Locate */
var cssIndex = 0;
for (x = 0; x < document.styleSheets.length; x++) { if (document.styleSheets[x].title == cssTitle) { cssIndex = x; } }
/* Define */
for (x = 0; x < cssStyles.length; x++) {
					if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) {
												    /* "addRule" only supported by IE ("insertRule" not supported).  However, "addRule" also recognized by Safari and Chrome. */
												    document.styleSheets[cssIndex].addRule(cssStyles[x].elementTitle, cssStyles[x].elementData, 0);
												   }
					else {
					      /* "insertRule" only supported by Firefox, Opera ("addRule" not supported).  However, "insertRule" also recognized by Safari and Chrome. */
					      document.styleSheets[cssIndex].insertRule(cssStyles[x].elementTitle + " { " + cssStyles[x].elementData + " }", 0);
					     }
				       }
}
/* Application */
function setupElements() {
var classReferenceSyntax = "class";
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) {
							    /* IE likes to be Unique */
							    classReferenceSyntax = "className";
							    /* ...but not when DOCTYPE is specified */
							    if (captureDocTypeFound == 1) { classReferenceSyntax = "class"; }
							   }
/* Create Initial Message Block */
calendarGenElement("div", "calendarInitialMsgBlock", "calendarInitialMsgBlock", classReferenceSyntax, "calendarInitialMsgBlock");
/* Create Page Overlay */
calendarGenElement("div", "calendarBlockPageShader", "calendarBlockPageShader", classReferenceSyntax, "calendarBlockPageShader");
/* Create the 31 Day Calendar Block */
calendarGenElement("div", "calendarBlock", "calendarBlock", classReferenceSyntax, "calendarBlock");
/* Create Calendar Overlay */
calendarGenElement("div", "calendarBlockOverlay", "calendarBlockOverlay", classReferenceSyntax, "calendarBlockOverlay");
/* Create Calendar Review Pane */
calendarGenElement("div", "calendarReviewPane", "calendarReviewPane", classReferenceSyntax, "calendarReviewPane");
/* Create Calendar Review Pane Overlay */
calendarGenElement("div", "calendarReviewPaneOverlay", "calendarReviewPaneOverlay", classReferenceSyntax, "calendarReviewPaneOverlay");
/* Create Calendar Review Details Pane */
calendarGenElement("div", "calendarReviewDetailsPane", "calendarReviewDetailsPane", classReferenceSyntax, "calendarReviewDetailsPane");
/* Create Calendar Reservation Pane */
calendarGenElement("div", "calendarReservePane", "calendarReservePane", classReferenceSyntax, "calendarReservePane");
}
function calendarGenElement(pType, id, name, classSyn, classRef) { /* IE throws error if "classRef" is "class" */
/* Create Page Elements */
var pageElementChild;
pageElementChild = document.createElement(pType);
pageElementChild.setAttribute("id", id);
pageElementChild.setAttribute("name", name);
pageElementChild.setAttribute(classSyn, classRef);
if (captureDocTypeFound == 1) {
			       try { document.documentElement.appendChild(pageElementChild, null); }
			       catch (onerror) { document.documentElement.appendChild.add(pageElementChild); }
			      }
else {
      try { document.body.appendChild(pageElementChild, null); }
      catch (onerror) { document.body.appendChild.add(pageElementChild); }
     }
}
function calendarFrmUserComplete(field, status) {
if (field.toLowerCase() == "calendarfrmpath") { calendarFrmPath = status; }
if (field.toLowerCase() == "calendarfirstname") { calendarFirstNameField = parseInt(status); }
if (field.toLowerCase() == "calendarlastname") { calendarLastNameField = parseInt(status); }
if (field.toLowerCase() == "calendaremail") { calendarEmailField = parseInt(status); }
if (field.toLowerCase() == "calendarorganizationname") { calendarOrganizationNameField = parseInt(status); }
if (field.toLowerCase() == "calendareventtitle") { calendarEventTitleField = parseInt(status); }
if (field.toLowerCase() == "calendareventroomrecur") { calendarEventRoomRecurField = parseInt(status); }
if (field.toLowerCase() == "calendareventdescription") { calendarEventDescriptionField = parseInt(status); }
}
function roomDetailsAddEntry(room, capacity, type, config, features) {
roomDetails[roomDetails.length] = new roomDetailsConstructor(room, capacity, type, config, features);
}
function roomDetailsSort() {
roomDetails.sort(roomDetailsSortWorker);
}
function dayReservationsAddEntry(room, evt, organization, detail, timegrid, status) {
if (status.toLowerCase() == "pending") { evt = "Pending"; organization = "Pending"; detail = "This request is pending review."; }
if (status.toLowerCase() == "pending" || status.toLowerCase() == "approved") { dayReservations[dayReservations.length] = new dayReservationsConstructor(room, evt, organization, detail, timegrid, status); }
}
function dayReservationsSort() {
dayReservations.sort(roomDetailsSortWorker);
}
function currentRoomAddEntry(room, evt, organization, detail, timegrid, status) {
currentRoom[currentRoom.length] = new currentRoomConstructor(room, evt, organization, detail, timegrid, status);
}
function roomReservationsAddEntry(room, evt, organization, detail, timegrid, status) {
roomReservations[roomReservations.length] = new roomReservationsConstructor(room, evt, organization, detail, timegrid, status);
}
function timeGridsAddEntry(tmgrid) {
tmgrid = tmgrid.replace(/\s/g, "");
timeGrids[timeGrids.length] = new timeGridsConstructor(tmgrid);
}
function timeGridsSort() {
timeGrids24 = new Array();
for (x = 0; x < timeGrids.length; x++) {
					if (timeGrids[x].tmgrid.match(new RegExp("AM", "gi")) != null) { timeGrids24[timeGrids24.length] = parseInt(timeGrids[x].tmgrid.split(":")[0] + "" + timeGrids[x].tmgrid.split(":")[1].replace(/AM/gi, "")); }
					else if (timeGrids[x].tmgrid.match(new RegExp("PM", "gi")) != null) { timeGrids24[timeGrids24.length] = (12 + parseInt(timeGrids[x].tmgrid.split(":")[0]) + "" + timeGrids[x].tmgrid.split(":")[1].replace(/PM/gi, "")); }
				       }
timeGrids24.sort(timeGridsSortWorker); timeGrids = [];
for (x = 0; x < timeGrids24.length; x++) {
					  if (parseInt(timeGrids24[x]) > 1259) { timeGridsAddEntry((parseInt(timeGrids24[x].toString().substring(0, 2)) - 12) + ":" + timeGrids24[x].toString().substring(timeGrids24[x].toString().length, timeGrids24[x].toString().length - 2) + "PM"); }
					  else {
						if (parseInt(timeGrids24[x]) > 959) { timeGridsAddEntry(timeGrids24[x].toString().substring(0, 2) + ":" + timeGrids24[x].toString().substring(timeGrids24[x].toString().length, timeGrids24[x].toString().length - 2) + "AM"); }
						else { timeGridsAddEntry(timeGrids24[x].toString().substring(0, 1) + ":" + timeGrids24[x].toString().substring(timeGrids24[x].toString().length, timeGrids24[x].toString().length - 2) + "AM"); }
					       }
					 }
}
function dayReservationsBuildGrid() {
/* Sort it */
dayReservationsSort();
/* Build the room reservation grid for the day selected */
var currentRoomFound = 0;
for (x = 0; x < roomDetails.length; x++) {
					  /* Match possible reservation(s) to the current room */
					  for (y = 0; y < dayReservations.length; y++) {
											if (roomDetails[x].room == dayReservations[y].room) { currentRoomFound = 1; }
											currentRoomAddEntry(dayReservations[y].room, dayReservations[y].evt, dayReservations[y].organization, dayReservations[y].detail, dayReservations[y].timegrid, dayReservations[y].status);
										       }
					  /* Save data for the current room */
					  if (currentRoomFound == 1) {
								      /* Reservation(s) found for the current room */
								      var currentTimeGrid = "";
								      for (z = 0; z < timeGrids.length; z++) {
													      var gridFound = 0;
													      currentTimeGrid = timeGrids[z].tmgrid;
													      for (a = 0; a < currentRoom.length; a++) {
																			if (currentTimeGrid == currentRoom[a].timegrid && roomDetails[x].room == currentRoom[a].room) { gridFound = 1; roomReservationsAddEntry(currentRoom[a].room, currentRoom[a].evt, currentRoom[a].organization, currentRoom[a].detail, currentRoom[a].timegrid, currentRoom[a].status); }
																		       }
													      if (gridFound == 0) { roomReservationsAddEntry(roomDetails[x].room, "", "", "", currentTimeGrid, ""); }
													     }
								     }
					  else {
						/* No reservation found for the current room */
						for (z = 0; z < timeGrids.length; z++) { roomReservationsAddEntry(roomDetails[x].room, "", "", "", timeGrids[z].tmgrid, ""); }
					       }
					  currentRoomFound = 0; currentRoom = [];
					 }
}
function generalNotesAddEntry(title, detail) {
generalNotes[generalNotes.length] = new generalNotesConstructor(title, detail);
}
function generalNotesSort() {
generalNotes.sort(generalNotesSortWorker);
}
function calendarDetailsAddEntry(day, month, year, room, title) {
calendarDetails[calendarDetails.length] = new calendarDetailsConstructor(day, month, year, new Date(year, month, 0).getDate(), room, title);
}
function calendarDetailsSort() {
calendarDetails.sort(calendarDetailsSortWorker);
}
function calendarRebuildAddEntry(day, month, year, totalDays, room, title) {
calendarRebuild[calendarRebuild.length] = new calendarRebuildConstructor(day, month, year, totalDays, room, title);
}
function calendarTimeGridSelSort() {
calendarReservationTimeSlot.sort(calendarTimeGridSelSortWorker);
}
function calendarDetailsBuildGrid() {
/* Sort It */
calendarDetailsSort();
/* Build the calendar grid for the month selected */
var dayFound = 0;
var totalDays = 0, cMonth = 0, cYear = 0;
if (calendarDetails.length > 0) {
				 totalDays = calendarDetails[0].totalDays;
				 cMonth = calendarDetails[0].month;
				 cYear = calendarDetails[0].year;
				}
else {
      cMonth = numDateChosen.split("/")[0];
      cYear = numDateChosen.split("/")[1];
      totalDays = 32 - new Date(cYear, cMonth, 32).getDate();
     }
calendarRebuild = [];
for (x = 1; x <= totalDays; x++) {
				  /* Match to the current day */
				  for (y = 0; y < calendarDetails.length; y++) {
									        if (calendarDetails[y].day == x) {
														  dayFound = 1;
														  calendarRebuildAddEntry(calendarDetails[y].day, calendarDetails[y].month, calendarDetails[y].year, calendarDetails[y].totalDays, calendarDetails[y].room, calendarDetails[y].title);
														 }
									       }
				  /* No data found for the current day */
				  if (dayFound == 0) {
						      calendarRebuildAddEntry(x, cMonth, cYear, totalDays, 0, "");
						     }
				  dayFound = 0;
				 }
calendarDetails = calendarRebuild;
}
function calendarInitialRender() {
var currentDate = new Date();
var monthName = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
var currentMonth = currentDate.getMonth(), currentMonthName = monthName[currentMonth], currentYear = currentDate.getFullYear();
currentMonth = currentMonth + 1;
numDateChosen = currentMonth + "/" + currentYear; txtDateChosen = " " + currentMonthName + " " + currentYear + " ";
calendarConfig();
}
function calendarInitialMsg() {
calendarInitialMsgState = 1;
var calendarDimensionsTemp = calendarFindPageDimensions();
var calendarPageWidth = parseInt(calendarDimensionsTemp.split(",")[0]);
var calendarPageWidthScroll = parseInt(calendarDimensionsTemp.split(",")[1]);
var calendarPageHeight = parseInt(calendarDimensionsTemp.split(",")[2]);
var calendarPageHeightScroll = parseInt(calendarDimensionsTemp.split(",")[3]);
var calendarXPosition = ((calendarPageWidth / 2) + calendarPageWidthScroll) - (calendarInitialMsgWidth / 2);
var calendarYPosition = ((calendarPageHeight / 2) + calendarPageHeightScroll) - (calendarInitialMsgWidth / 2);
if (calendarXPosition < 0) { calendarXPosition = 0; }
if (calendarYPosition < 0) { calendarYPosition = 0; }
/* Position Calendar */
document.getElementById("calendarInitialMsgBlock").style.left = calendarXPosition + "px";
document.getElementById("calendarInitialMsgBlock").style.top = calendarYPosition + "px";
/* Fill Message */
document.getElementById("calendarInitialMsgBlock").innerHTML = "<p class=\"calendarInitialMsgBlockTxt\">" + calendarGetMsg + "</p>";
/* Show Message */
document.getElementById("calendarInitialMsgBlock").style.display = "block";
}
function calendarRenderPASS() {
/* See STEP 3 for processing data from server */
/* Determine start slot */
var compiled = "";
var dayName = new Array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
var monthName = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
var monthChosen = numDateChosen.split("/")[0];
var yearChosen = numDateChosen.split("/")[1];
var targetDate = new Date();
targetDate.setFullYear(yearChosen, monthChosen - 1, 1);
var targetDay = targetDate.getDay(), targetMonth = targetDate.getMonth(), targetYear = targetDate.getFullYear(), targetMonthName = monthName[(monthChosen - 1)];
targetMonth = targetMonth + 1; targetDayName = dayName[targetDay]; targetDay = 1;
var currentDate = new Date();
var currentDay = currentDate.getDay(), currentMonth = currentDate.getMonth(), currentYear = currentDate.getFullYear(), currentMonthName = monthName[currentMonth];
currentMonth = currentMonth + 1; currentDayName = dayName[currentDay]; currentDay = currentDay + 1;
/* Determine Number of Weeks */
var numWeeks = 1;
if (calendarDetails[0].totalDays == 28) {
					 if (targetDayName == "Sunday") { numWeeks = 4; }
					 else if (targetDayName == "Monday") { numWeeks = 5; }
					 else if (targetDayName == "Tuesday") { numWeeks = 5; }
					 else if (targetDayName == "Wednesday") { numWeeks = 5; }
					 else if (targetDayName == "Thursday") { numWeeks = 5; }
					 else if (targetDayName == "Friday") { numWeeks = 5; }
					 else if (targetDayName == "Saturday") { numWeeks = 5; }
					}
else if (calendarDetails[0].totalDays == 29) {
					      if (targetDayName == "Sunday") { numWeeks = 5; }
					      else if (targetDayName == "Monday") { numWeeks = 5; }
					      else if (targetDayName == "Tuesday") { numWeeks = 5; }
					      else if (targetDayName == "Wednesday") { numWeeks = 5; }
					      else if (targetDayName == "Thursday") { numWeeks = 5; }
					      else if (targetDayName == "Friday") { numWeeks = 5; }
					      else if (targetDayName == "Saturday") { numWeeks = 5; }
					     }
else if (calendarDetails[0].totalDays == 30) {
					      if (targetDayName == "Sunday") { numWeeks = 5; }
					      else if (targetDayName == "Monday") { numWeeks = 5; }
					      else if (targetDayName == "Tuesday") { numWeeks = 5; }
					      else if (targetDayName == "Wednesday") { numWeeks = 5; }
					      else if (targetDayName == "Thursday") { numWeeks = 5; }
					      else if (targetDayName == "Friday") { numWeeks = 5; }
					      else if (targetDayName == "Saturday") { numWeeks = 6; }
					     }
else if (calendarDetails[0].totalDays == 31) {
					      if (targetDayName == "Sunday") { numWeeks = 5; }
					      else if (targetDayName == "Monday") { numWeeks = 5; }
					      else if (targetDayName == "Tuesday") { numWeeks = 5; }
					      else if (targetDayName == "Wednesday") { numWeeks = 5; }
					      else if (targetDayName == "Thursday") { numWeeks = 5; }
					      else if (targetDayName == "Friday") { numWeeks = 6; }
					      else if (targetDayName == "Saturday") { numWeeks = 6; }
					     }
calendarNumWeeks = numWeeks;
/* Render */
var hasTriggered = 0, dayCount = 1, theDay = 1, theDayPhrase = "Sunday";
compiled = "";
compiled = compiled + "<div class=\"calendarMonthTitleBlock\"><p class=\"calendarMonthTitleBlockTxt\">" + targetMonthName + " " + targetYear + " <span class=\"calendarMonthTitleBlockTxtClose\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarPrimaryPaneClose();\">" + calendarMainPaneCloseBtn + "</span></p></div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Sunday</p></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Monday</p></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Tuesday</p></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Wednesday</p></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Thursday</p></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Friday</p></div>";
compiled = compiled + "<div class=\"calendarDayTitleBlock\"><p class=\"calendarDayTitleBlockTxt\">Saturday</p></div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
for (x = 1; x <= numWeeks; x++) {
				 /* Month */
				 for (y = 1; y < 8; y++) {
							  /* Week */
							  if (theDay == 1) { theDayPhrase = "Sunday"; }
							  if (theDay == 2) { theDayPhrase = "Monday"; }
							  if (theDay == 3) { theDayPhrase = "Tuesday"; }
							  if (theDay == 4) { theDayPhrase = "Wednesday"; }
							  if (theDay == 5) { theDayPhrase = "Thursday"; }
							  if (theDay == 6) { theDayPhrase = "Friday"; }
							  if (theDay == 7) { theDayPhrase = "Saturday"; }
							  if (x == 1) {
								       /* Week One */
								       if (theDayPhrase == targetDayName) {
													   if (hasTriggered == 0) {
																   /* Start Day 1 */
																   hasTriggered = 1;
																   compiled = compiled + calendarDayPull(dayCount, 0, theDayPhrase, dayCount, targetMonth, targetYear, targetMonthName);
																   dayCount = dayCount + 1;
																  }
													   else {
														 /* Option Day */
														 compiled = compiled + calendarDayPull(dayCount, 0, theDayPhrase, dayCount, targetMonth, targetYear, targetMonthName);
														 dayCount = dayCount + 1;
														}
													  }
								       else {
									     if (hasTriggered > 0) {
												    /* Option Day */
												    compiled = compiled + calendarDayPull(dayCount, 0, theDayPhrase, dayCount, targetMonth, targetYear, targetMonthName);
												    dayCount = dayCount + 1;
												   }
									     else {
										   /* No Option Day Before Start Day 1 */
										   compiled = compiled + calendarDayPull(0, -1, theDayPhrase, dayCount, targetMonth, targetYear, targetMonthName);
										  }
									    }
								      }
							  else {
								/* Other Week */
								if (dayCount > parseInt(calendarDetails[0].totalDays)) {
															compiled = compiled + calendarDayPull(0, -1, theDayPhrase, dayCount, targetMonth, targetYear, targetMonthName);
														       }
								else {
								      compiled = compiled + calendarDayPull(dayCount, 0, theDayPhrase, dayCount, targetMonth, targetYear, targetMonthName);
								      dayCount = dayCount + 1;
								     }
							       }
							  theDay = theDay + 1;
							 }
				 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				 theDay = 1;
				}
/* Add Month Selector & Message Block */
compiled = compiled + "<div class=\"calendarMonthTarget\">";
compiled = compiled + "<p class=\"monthTargetPara\"><select id=\"monthTarget\" name=\"monthTarget\" class=\"monthTarget\" onchange=\"calendarRender(this.value, this.text);\">";
compiled = compiled + "<option value=\"12/" + (targetYear - 1) + "\"> December " + (targetYear - 1) + " </option>";
compiled = compiled + "<option value=\"1/" + targetYear + "\"> January " + targetYear + " </option>";
compiled = compiled + "<option value=\"2/" + targetYear + "\"> Feburary " + targetYear + " </option>";
compiled = compiled + "<option value=\"3/" + targetYear + "\"> March " + targetYear + " </option>";
compiled = compiled + "<option value=\"4/" + targetYear + "\"> April " + targetYear + " </option>";
compiled = compiled + "<option value=\"5/" + targetYear + "\"> May " + targetYear + " </option>";
compiled = compiled + "<option value=\"6/" + targetYear + "\"> June " + targetYear + " </option>";
compiled = compiled + "<option value=\"7/" + targetYear + "\"> July " + targetYear + " </option>";
compiled = compiled + "<option value=\"8/" + targetYear + "\"> August " + targetYear + " </option>";
compiled = compiled + "<option value=\"9/" + targetYear + "\"> September " + targetYear + " </option>";
compiled = compiled + "<option value=\"10/" + targetYear + "\"> October " + targetYear + " </option>";
compiled = compiled + "<option value=\"11/" + targetYear + "\"> November " + targetYear + " </option>";
compiled = compiled + "<option value=\"12/" + targetYear + "\"> December " + targetYear + " </option>";
compiled = compiled + "<option value=\"1/" + (targetYear + 1) + "\"> January " + (targetYear + 1) + " </option>";
compiled = compiled + "</select></p>";
compiled = compiled + "</div>";
compiled = compiled + "<div class=\"calendarMsgBlock\">";
compiled = compiled + "<p id=\"calendarMsgBlockTxt\" class=\"calendarMsgBlockTxt\">Calendar successfully loaded.  Select a day to retrieve all details.</p>";
compiled = compiled + "</div>";
/* Fill Calendar */
document.getElementById("calendarBlock").innerHTML = compiled;
/* Specify calendar height for all browsers except IE (IE auto-adjusts...after the first time an element has been rendered that is) */
if (navigator.userAgent.toLowerCase().indexOf("msie") == -1) {
							      document.getElementById("calendarBlock").style.height = calendarFindHeight();
							     }
/* Select the Current Month/Year.  Browsers want to cache and pre-select previous selections making embedding "selected" for the current month (above) impossible as user will only see last "selected" in the list of options if they've used the month selection more than once.  Hoorah! */
/* Purge Any Cached Previous Selections */
for (x = 0; x < document.getElementById("monthTarget").length; x++) {
								     document.getElementById("monthTarget").options[x].selectedIndex = false;
								    }
/* Make Selection */
for (x = 0; x < document.getElementById("monthTarget").length; x++) {
								     if (document.getElementById("monthTarget").options[x].value.toString() == numDateChosen.toString()) {
																					  document.getElementById("monthTarget").options[x].selected = true;
																				         }
								    }
/* Set Calendar Overlay Dimensions */
var calendarFindHeightTemp = parseInt(calendarFindHeight().replace("px", ""));
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) {
							    if (captureDocTypeFound == 1) {
											   document.getElementById("calendarBlockOverlay").style.height = calendarFindHeightTemp + "px";
											   document.getElementById("calendarBlockOverlay").style.width = calendarTotalWidthOther + "px";
											  }
							    else {
								  document.getElementById("calendarBlockOverlay").style.height = (calendarFindHeightTemp + calendarBlockOverlayVerticalOffset) + "px";
								  document.getElementById("calendarBlockOverlay").style.width = calendarTotalWidthIE + "px";
								 }
							   }
else {
      document.getElementById("calendarBlockOverlay").style.height = calendarFindHeightTemp + "px";
      document.getElementById("calendarBlockOverlay").style.width = calendarTotalWidthOther + "px";
     }

/* Position Calendar */
if (calendarAllowCenter == 1) { calendarPagePosition(); }
/* Remove Initial Message */
if (calendarInitialMsgState == 1) { calendarInitialMsgState = 2; document.getElementById("calendarInitialMsgBlock").style.display = "none"; }
/* Shade Entire Page */
if (calendarPageBlackout == 1) { calendarPageShade(); }
/* Show */
document.getElementById("calendarBlock").style.display = "block";
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) {
							    /* IE Problem with Initial Calendar Render.  Reload for IE. */
							    if (calendarInitialRenderFlagIE == 0) { calendarInitialRenderFlagIE = 1; setTimeout("calendarRenderPASS()", 10); }
							    else { document.getElementById("calendarBlock").style.display = "block"; }
                                                           }
}
function calendarFindHeight() {
return((calendarTitleBlockHeight + calendarTitleDayBlockHeight + (calendarChangeAndMsgsHeight + calendarBorderWidth) + parseInt(calendarNumWeeks * calendarDayBlockHeight) + ((calendarBorderWidth * calendarNumWeeks) + calendarBorderWidth)) + "px");
}
function calendarFindPageDimensions() {
var calendarPageWidth = 0, calendarPageWidthScroll = 0, calendarPageHeight = 0, calendarPageHeightScroll = 0;
if (captureDocTypeFound == 1) {
			       calendarPageWidth = parseInt(document.documentElement.clientWidth.toString().replace("px", ""));
			       calendarPageWidthScroll = parseInt((document.all) ? document.documentElement.scrollLeft : window.pagexOffset);
			       calendarPageHeight = parseInt(document.documentElement.clientHeight.toString().replace("px", ""));
			       calendarPageHeightScroll = parseInt((document.all) ? document.documentElement.scrollTop : window.pageYOffset);
			       if (calendarPageWidth < parseInt((document.all) ? document.documentElement.offsetWidth : window.innerWidth)) { calendarPageWidth = parseInt((document.all) ? document.documentElement.offsetWidth : window.innerWidth); }
			       if (calendarPageHeight < parseInt((document.all) ? document.documentElement.offsetHeight : window.innerHeight)) { calendarPageHeight = parseInt((document.all) ? document.documentElement.offsetHeight : window.innerHeight); }
			      }
else {
      calendarPageWidth = parseInt(document.body.clientWidth.toString().replace("px", ""));
      calendarPageWidthScroll = parseInt((document.all) ? document.body.scrollLeft : window.pagexOffset);
      calendarPageHeight = parseInt(document.body.clientHeight.toString().replace("px", ""));
      calendarPageHeightScroll = parseInt((document.all) ? document.body.scrollTop : window.pageYOffset);
      if (calendarPageWidth < parseInt((document.all) ? document.body.offsetWidth : window.innerWidth)) { calendarPageWidth = parseInt((document.all) ? document.body.offsetWidth : window.innerWidth); }
      if (calendarPageHeight < parseInt((document.all) ? document.body.offsetHeight : window.innerHeight)) { calendarPageHeight = parseInt((document.all) ? document.body.offsetHeight : window.innerHeight); }
     }
if (isNaN(calendarPageWidthScroll)) { calendarPageWidthScroll = 0; }
if (isNaN(calendarPageHeightScroll)) { calendarPageHeightScroll = 0; }
var retCollection = calendarPageWidth + "," + calendarPageWidthScroll + "," + calendarPageHeight + "," + calendarPageHeightScroll;
return(retCollection);
}
function captureDocTypeDefinition() {
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) {
							    for (x = 0; x < document.getElementsByTagName("!").length; x++) {
															     if (parseInt(document.getElementsByTagName("!")[x].nodeType) == 8) {
																								 if (document.getElementsByTagName("!")[x].nodeValue.toLowerCase().indexOf("doctype") > -1) {
																																			     tagData = new Array(); tagData = document.getElementsByTagName("!")[x].nodeValue.split("\"");
																																			     captureDoctypeLabel = tagData[0].replace("DOCTYPE ", "").toUpperCase(); captureDoctypeType = tagData[1]; captureDoctypePath = tagData[3]; captureDocTypeFound = 1;
																																			    }
																								}
															    }
							   }
else {
      /* All Other Browsers */
      for (x = 0; x < document.childNodes.length; x++) {
							if (parseInt(document.childNodes[x].nodeType) == 10) {
													      captureDoctypeLabel = document.childNodes[x].name.toUpperCase();
													      captureDoctypeType = document.childNodes[x].publicId;
													      captureDoctypePath = document.childNodes[x].systemId;
													      captureDocTypeFound = 1;
													     }
						       }
     }
}
function calendarPagePosition() {
var calendarDimensionsTemp = calendarFindPageDimensions();
var calendarPageWidth = parseInt(calendarDimensionsTemp.split(",")[0]); //1236
var calendarPageWidthScroll = parseInt(calendarDimensionsTemp.split(",")[1]); //0
var calendarPageHeight = parseInt(calendarDimensionsTemp.split(",")[2]); //969
var calendarPageHeightScroll = parseInt(calendarDimensionsTemp.split(",")[3]); //0
var calendarDivWidth = calendarTotalWidthOther; if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { calendarDivWidth = calendarTotalWidthIE; }
var calendarDivHeight = parseInt(document.getElementById("calendarBlock").style.height.replace("px", "")); /* IE can't get height so... */if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { calendarDivHeight = parseInt(calendarFindHeight().replace("px", "")); }
var calendarXPosition = ((calendarPageWidth / 2) + calendarPageWidthScroll) - (calendarDivWidth / 2);
var calendarYPosition = ((calendarPageHeight / 2) + calendarPageHeightScroll) - (calendarDivHeight / 2);
if (calendarXPosition < 0) { calendarXPosition = 0; }
if (calendarYPosition < 0) { calendarYPosition = 0; }
/* Position Calendar */
document.getElementById("calendarBlock").style.left = calendarXPosition + "px";
document.getElementById("calendarBlock").style.top = calendarYPosition + "px";
/* Position Calendar Overlay */
document.getElementById("calendarBlockOverlay").style.left = calendarXPosition + "px";
document.getElementById("calendarBlockOverlay").style.top = calendarYPosition + "px";
}
function calendarReviewPanePosition() {
var calendarDimensionsTemp = calendarFindPageDimensions();
var calendarPageWidth = parseInt(calendarDimensionsTemp.split(",")[0]);
var calendarPageWidthScroll = parseInt(calendarDimensionsTemp.split(",")[1]);
var calendarPageHeight = parseInt(calendarDimensionsTemp.split(",")[2]);
var calendarPageHeightScroll = parseInt(calendarDimensionsTemp.split(",")[3]);
var calendarDivWidth = calendarReviewPaneWidthOther; if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { calendarDivWidth = calendarReviewPaneWidthIE; }
/* Get Height of Pane */
var elementTopY = 0, elementBottomY = 0;
var xypos = ""; position = new Array();
xypos = calendarQueryElement("ReviewPaneTop", 0, 0);
position = xypos.split(","); elementTopY = parseInt(position[1]); position = [];
xypos = calendarQueryElement("ReviewPaneBottom", 0, 0);
position = xypos.split(","); elementBottomY = parseInt(position[1]); position = [];
var calendarDivHeight = (elementBottomY - elementTopY) + calendarBorderWidth;
var calendarXPosition = ((calendarPageWidth / 2) + calendarPageWidthScroll) - (calendarDivWidth / 2);
var calendarYPosition = ((calendarPageHeight / 2) + calendarPageHeightScroll) - (calendarDivHeight / 2);
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { calendarXPosition = calendarXPosition - 20; }
else { calendarXPosition = calendarXPosition - 8; }
if (calendarXPosition < 0) { calendarXPosition = 0; }
if (calendarYPosition < 0) { calendarYPosition = 0; }
/* Position Review */
document.getElementById("calendarReviewPane").style.left = calendarXPosition + "px";
document.getElementById("calendarReviewPane").style.top = calendarYPosition + "px";
/* Position Review Overlay */
document.getElementById("calendarReviewPaneOverlay").style.height = calendarDivHeight + "px";
document.getElementById("calendarReviewPaneOverlay").style.left = calendarXPosition + "px";
document.getElementById("calendarReviewPaneOverlay").style.top = calendarYPosition + "px";
}
function calendarQueryElement(actor, ox, oy) {
var x_posi = 0, y_posi = 0;
if (document.all) { actor = document.all[actor]; }
else { actor = document.getElementById(actor); }
while (actor != null) {
		       x_posi += actor.offsetLeft - actor.scrollLeft;
		       y_posi += actor.offsetTop - actor.scrollTop;
		       /* Recycle */
		       actor = actor.offsetParent;
		      }
return((x_posi + ox) + "," + (y_posi + oy));
}
function calendarPageShade() {
var shadeHeight = 0, shadeWidth = 0;
if (captureDocTypeFound == 1) {
			       shadeHeight = ((document.height !== undefined) ? document.height : document.documentElement.scrollHeight);
			       shadeWidth = ((document.width !== undefined) ? document.width : document.documentElement.scrollWidth);
			       if (navigator.userAgent.toLowerCase().indexOf("msie") == -1) {
											     if (shadeHeight < parseInt((document.all) ? document.documentElement.offsetHeight : window.innerHeight)) { shadeHeight = parseInt((document.all) ? document.documentElement.offsetHeight : window.innerHeight); }
											     if (shadeWidth < parseInt((document.all) ? document.documentElement.offsetWidth : window.innerWidth)) { shadeWidth = parseInt((document.all) ? document.documentElement.offsetWidth : window.innerWidth); }
											    }
			      }
else {
      shadeHeight = ((document.height !== undefined) ? document.height : document.body.scrollHeight);
      shadeWidth = ((document.width !== undefined) ? document.width : document.body.scrollWidth);
      if (shadeHeight < parseInt((document.all) ? document.body.offsetHeight : window.innerHeight)) { shadeHeight = parseInt((document.all) ? document.body.offsetHeight : window.innerHeight); }
      if (shadeWidth < parseInt((document.all) ? document.body.offsetWidth : window.innerWidth)) { shadeWidth = parseInt((document.all) ? document.body.offsetWidth : window.innerWidth); }
     }
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0 && captureDocTypeFound == 0) {
											/* Compensate for scrollbars */
											shadeHeight = shadeHeight - 20;
											shadeWidth = shadeWidth - 20;
										       }
document.getElementById("calendarBlockPageShader").style.height = shadeHeight + "px";
document.getElementById("calendarBlockPageShader").style.width = shadeWidth + "px";
document.getElementById("calendarBlockPageShader").style.display = "block";
}
function calendarDayPull(dayCount, showFlag, theDayPhrase, dayNum, monthNum, yearNum, monthName) {
var chunk = "", weekendFlag = 0;
if (theDayPhrase.toLowerCase() == "saturday" || theDayPhrase.toLowerCase() == "sunday") { weekendFlag = 1; }
if (showFlag == -1) {
		     if (dayCount > 0) {
					/*
					chunk = "<div class=\"calendarDayBlock\"><p class=\"calendarDayBlockTxt\">";
					chunk = chunk + "<p class=\"calendarDayBlockPageNumTxt\">" + dayCount + "</p>";
					chunk = chunk + "</p></div>"; // IE 8 boo boo -> automatically decides "</p></div>" is not what is specified and auto-generates "<p></p></div>" instead.  Hoorah!
								      // The fix for IE has been completed in all sections below in this function.
					*/
					if (calendarAllowWeekendSubmit == 0 && weekendFlag == 1) {
												  chunk = "<div class=\"calendarDayBlockNoWeekend\">";
									 			  chunk = chunk + "<p class=\"calendarDayBlockPageNumTxt\">" + dayCount + "</p>";
												  chunk = chunk + "</div>";
												 }
					else {
					      chunk = "<div class=\"calendarDayBlockNoDay\">";
					      chunk = chunk + "<p class=\"calendarDayBlockPageNumTxt\">" + dayCount + "</p>";
					      chunk = chunk + "</div>";
					     }
				       }
		     else {
			   if (calendarAllowWeekendSubmit == 0 && weekendFlag == 1) {
										     chunk = "<div class=\"calendarDayBlockNoWeekend\">";
										     chunk = chunk + "<p class=\"calendarDayBlockTxt\">&nbsp;</p>";
										     chunk = chunk + "</div>";
										    }
			   else {
			         chunk = "<div class=\"calendarDayBlockNoDay\">";
			         chunk = chunk + "<p class=\"calendarDayBlockTxt\">&nbsp;</p>";
			         chunk = chunk + "</div>";
				}
			  }
		    }
else {
      if (calendarAllowWeekendSubmit == 0 && weekendFlag == 1) { chunk = "<div class=\"calendarDayBlockNoWeekend\">"; }
      else {
	    var cNoDayFlag = 0;
	    for (z = 0; z < calendarDetails.length; z++) { if (parseInt(calendarDetails[z].day) == dayCount) { if (parseInt(calendarDetails[z].room) == -1) { cNoDayFlag = 1; } } }
	    if (cNoDayFlag == 0) { chunk = "<div class=\"calendarDayBlock\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarDayDetailsPane(" + dayNum + ", " + monthNum + ", " + yearNum + ", '" + theDayPhrase + "', '" + monthName + "');\">"; }
	    else { chunk = "<div class=\"calendarDayBlockNoWeekend\">"; }
	   }
      chunk = chunk + "<p class=\"calendarDayBlockPageNumTxt\">" + dayCount + "</p>";
      for (z = 0; z < calendarDetails.length; z++) {
						    if (parseInt(calendarDetails[z].day) == dayCount) {
												       if (parseInt(calendarDetails[z].room) > 0) {
																		   chunk = chunk + "<p class=\"calendarDayBlockTxt\">" + calendarDetails[z].room + " - " + calendarTranslate(calendarDetails[z].title, calendarPaneTitleMax) + "</p>";
																		  }
												       else if (parseInt(calendarDetails[z].room) == 0) {
																			 chunk = chunk + "<p class=\"calendarDayBlockTxt\">" + calendarTranslate(calendarDetails[z].title, calendarPaneTitleNoteMax) + "</p>";
																			}
												      }
						   }
      chunk = chunk + "</div>";
     }
return(chunk);
}
function calendarRenderFAIL() {
if (calendarInitialMsgState == 1) { calendarInitialMsgState = 2; document.getElementById("calendarInitialMsgBlock").innerHTML = "<p class=\"calendarInitialMsgBlockTxt\">" + calendarGetFailMsg + "</p>"; setTimeout("calendarRenderFAILHide()", 5000); }
}
function calendarRenderFAILHide() {
calendarInitialMsgState = 0;
document.getElementById("calendarInitialMsgBlock").style.display = "none";
}
function calendarDayDetailsPaneRenderPASS() {
/* Message */
document.getElementById("calendarMsgBlockTxt").innerHTML = "Details of " + tmpPaneDayName + " (" + tmpPaneMonthNum + "/" + tmpPaneDayNum + "/" + tmpPaneYearNum + ") successfully retrieved.";
/* Shade Calendar */
document.getElementById("calendarBlockOverlay").style.display = "block";
/* Evaluate Date */
var gridChooseAllow = 1; var currentDate = new Date();
var currentDay = currentDate.getDate(), currentMonth = currentDate.getMonth(), currentYear = currentDate.getFullYear();
currentMonth = currentMonth + 1;
var generalNoteLabel = "Past Events ";
if (parseInt(currentYear) > parseInt(tmpPaneYearNum)) { gridChooseAllow = 0; generalNoteLabel = "Past Events "; }
else if (parseInt(currentYear) < parseInt(tmpPaneYearNum)) { generalNoteLabel = "Future Events "; }
else {
      if (parseInt(currentMonth) > parseInt(tmpPaneMonthNum)) { gridChooseAllow = 0; generalNoteLabel = "Past Events "; }
      else if (parseInt(currentMonth) < parseInt(tmpPaneMonthNum)) { generalNoteLabel = "Future Events "; }
      else {
	    if (parseInt(currentDay) > parseInt(tmpPaneDayNum)) { gridChooseAllow = 0; generalNoteLabel = "Past Events "; }
	    else if (parseInt(currentDay) < parseInt(tmpPaneDayNum)) { generalNoteLabel = "Future Events "; }
	    else { generalNoteLabel = "Today's Events "; }
	   }
     }
/* Build Review Pane */
var compiled = "", reviewContentFound = 0;
compiled = compiled + "<div id=\"ReviewPaneTop\" class=\"calendarReviewPaneTitleBlock\">";
compiled = compiled + "<p class=\"calendarReviewPaneTitleBlockTxt\">" + tmpPaneDayName + ", " + tmpPaneMonthNum + "/" + tmpPaneDayNum + "/" + tmpPaneYearNum + " <span class=\"calendarReviewPaneClose\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarReviewPaneClose();\">" + calendarRoomPaneCloseBtn + "</span></p>";
compiled = compiled + "</div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
compiled = compiled + "<div id=\"calendarReviewPaneContentBlock\" class=\"calendarReviewPaneContentBlock\">";
if (roomDetails.length > 0 && timeGrids.length > 0) {
						     /* Rooms & Time Grids Found */
						     reviewContentFound = 1;
						     compiled = compiled + "<div class=\"timeGridTitle\"><p class=\"timeGridTitleTxt\">Room</p></div>";
						     for (x = 0; x < timeGrids.length; x++) {
											     compiled = compiled + "<div class=\"timeGridTitle\"><p class=\"timeGridTitleTxt\">" + timeGrids[x].tmgrid + "</p></div>";
											    }
						     compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
						     for (x = 0; x < roomDetails.length; x++) {
											       compiled = compiled + "<div id=\"@" + x + "@\" class=\"timeGridTitle\" onmouseover=\"this.style.cursor='pointer'; calendarReviewRoomDetailOver('@" + x + "@');\" onmouseout=\"this.style.cursor='default'; calendarReviewRoomDetailOut('@" + x + "@');\"><p class=\"timeGridTitleTxt\">" + roomDetails[x].room + "</p></div>";
											       for (y = 0; y < roomReservations.length; y++) {
																	      if (roomDetails[x].room == roomReservations[y].room) {
																								    if (roomReservations[y].evt.length > 0) {
																													     /* Timeslot Consumed */
																													     if (roomReservations[y].organization.toLowerCase() == "hyperlink") { compiled = compiled + "<div class=\"timeGridContent\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarLink('" + roomReservations[y].detail + "');\"><p class=\"timeGridContentTxt\">" + calendarTranslate(roomReservations[y].evt, calendarDayTitleMax) + "</p></div>"; }
																													     else { compiled = compiled + "<div id=\"|" + y + "|\" class=\"timeGridContent\" onmouseover=\"this.style.cursor='pointer'; calendarReviewRoomDetailOver('|" + y + "|');\" onmouseout=\"this.style.cursor='default'; calendarReviewRoomDetailOut('|" + y + "|');\"><p class=\"timeGridContentTxt\">" + calendarTranslate(roomReservations[y].evt, calendarDayTitleMax) + "</p></div>"; }
																													    }
																								    else {
																									  /* Timeslot Open */
																									  if (gridChooseAllow == 1) { compiled = compiled + "<div id=\"" + x + "_" + y + "\" class=\"timeGridContent\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarPickTimeSlot('" + x + "_" + y + "');\"><p class=\"timeGridContentTxt\">" + calendarTranslate(roomReservations[y].evt, calendarDayTitleMax) + "</p></div>"; }
																									  else { compiled = compiled + "<div id=\"" + x + "_" + y + "\" class=\"timeGridContent\"><p class=\"timeGridContentTxt\">" + calendarTranslate(roomReservations[y].evt, calendarDayTitleMax) + "</p></div>"; }
																									 }
																								   }
																	     }
											       compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
											      }
				                    }
if (generalNotes.length > 0) {
			      /* General Notes Found */
			      reviewContentFound = 1;
			      compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
			      compiled = compiled + "<div id=\"generalNotesTitleBlockShell\" class=\"generalNotesTitleBlock\">";
			      compiled = compiled + "<p class=\"generalNotesTitleBlockTxt\">";
			      compiled = compiled + generalNoteLabel;
			      if (calendarAllowNotes == 1 && gridChooseAllow == 1) { compiled = compiled + "<span class=\"calendarNoteFrmOpen\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarNoteFrmOpen();\">(Submit Event)</span>"; }
			      compiled = compiled + "</p>";
			      compiled = compiled + "</div>";
			      if (captureDocTypeFound == 1) { compiled = compiled + "<div class=\"calendarDivBreak\"></div>"; }
			      compiled = compiled + "<div class=\"generalNotesContentBlock\">";
			      compiled = compiled + "<p class=\"generalNotesContentBlockTxt\">";
			      var genFlag = 1;
			      for (x = 0; x < generalNotes.length; x++) {
									 if (generalNotes[x].title == "null" && generalNotes[x].detail == "null" && generalNotes.length == 1) { genFlag = 0; }
									 else { compiled = compiled + "<b>" + generalNotes[x].title + "</b> - " + generalNotes[x].detail + "<br />"; }
									}
			      if (genFlag == 0) { compiled = compiled + "&nbsp;<br />"; }
			      compiled = compiled + "</p>";
			      compiled = compiled + "</div>";
			      compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
			     }
if (reviewContentFound == 0) {
			      /* No Content Available */
			      compiled = compiled + "<div class=\"calendarReviewPaneNoContentBlock\">";
			      compiled = compiled + "<p class=\"calendarReviewPaneNoContentBlockTxt\">Room details and time grids or general notes are needed to finish building this region.</p>";
			      compiled = compiled + "</div>";
			     }
else {
      if (roomDetails.length > 0 && timeGrids.length > 0 && calendarAllowRoomReservations == 1) {
												 compiled = compiled + "<div class=\"calendarReviewPaneMsgBlock\">";
												 compiled = compiled + "<p id=\"calendarReviewPaneMsgBlockTxt\" class=\"calendarReviewPaneMsgBlockTxt\">" + calendarRmReservationMsg + "</p>";
												 compiled = compiled + "</div>";
												 compiled = compiled + "<div class=\"calendarReviewPaneActionBlock\">";
												 compiled = compiled + "<div id=\"calendarReviewPaneActionBtnLeftBlock\" class=\"calendarReviewPaneActionBtnLeftBlock\"><p class=\"calendarReviewPaneActionBtnLeftBlockTxt\"><input type=\"button\" id=\"calendarReviewPaneActionBtnLeftReserve\" class=\"calendarReviewPaneActionBtnLeftReserve\" value=\"Reserve\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarReserveTimeSeries();\" /></p></div>";
												 compiled = compiled + "<div id=\"calendarReviewPaneActionBtnRightBlock\" class=\"calendarReviewPaneActionBtnRightBlock\"><p class=\"calendarReviewPaneActionBtnRightBlockTxt\"><input type=\"button\" id=\"calendarReviewPaneActionBtnRightClear\" class=\"calendarReviewPaneActionBtnRightClear\" value=\"Clear\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarClearTimeSlot();\" /></p></div>";
												 compiled = compiled + "</div>";
												}
     }
compiled = compiled + "<div id=\"ReviewPaneBottom\" class=\"calendarDivBreak\"></div>";
compiled = compiled + "</div>";
/* Fill Calendar */
document.getElementById("calendarReviewPane").innerHTML = compiled;
/* Pre-Render Pane */
document.getElementById("calendarReviewPane").style.visibility = "hidden";
document.getElementById("calendarReviewPane").style.display = "block";
/* Position Pane */
calendarReviewPanePosition();
/* Re-Specify General Notes header width; doctype definition results in loss of width defined in CSS */
if (captureDocTypeFound == 1) {
			       if (document.getElementById("generalNotesTitleBlockShell")) {
											    document.getElementById("generalNotesTitleBlockShell").style.width = (calendarReviewWidthSwap - calendarBorderWidth) + "px";
											   }
			      }
/* Show Pane */
document.getElementById("calendarReviewPane").style.visibility = "visible";
}
function calendarLink(target) {
location.href = target;
}
function calendarPrimaryPaneClose() {
/* Reset Initial Flags */
calendarElementsInitialized = 0; calendarInitialMsgState = 0; calendarInitialRenderFlagIE = 0;
/* Clear Arrays */
calendarDetails = []; calendarRebuild = []; timeGrids = []; calendarReservationTimeSlot = [];
dayReservations = []; roomReservations = []; currentRoom = []; generalNotes = []; calendarReservationTimeSlot = [];
/* Hide Pane */
document.getElementById("calendarBlock").style.display = "none";
/* Hide Page Shader */
document.getElementById("calendarBlockPageShader").style.display = "none";
}
function calendarReviewPaneClose() {
/* Hide Pane */
document.getElementById("calendarReviewPane").style.visibility = "hidden";
document.getElementById("calendarReviewPane").style.display = "none";
/* Clear Content */
document.getElementById("calendarReviewPane").innerHTML = "";
/* Unshade Parent Pane */
document.getElementById("calendarBlockOverlay").style.display = "none";
}
function calendarReviewFrmPaneClose() {
/* Hide Pane */
document.getElementById("calendarReservePane").style.visibility = "hidden";
document.getElementById("calendarReservePane").style.display = "none";
/* Clear Content */
document.getElementById("calendarReservePane").innerHTML = "";
/* Unshade Parent Pane */
document.getElementById("calendarReviewPaneOverlay").style.display = "none";
}
function calendarNoteFrmPaneClose() {
/* Hide Pane */
document.getElementById("calendarReservePane").style.visibility = "hidden";
document.getElementById("calendarReservePane").style.display = "none";
/* Clear Content */
document.getElementById("calendarReservePane").innerHTML = "";
/* Unshade Parent Pane */
document.getElementById("calendarReviewPaneOverlay").style.display = "none";
}
function calendarDayDetailsPaneRenderFAIL() {
/* Message */
document.getElementById("calendarMsgBlockTxt").innerHTML = "Details of " + tmpPaneDayName + " (" + tmpPaneMonthNum + "/" + tmpPaneDayNum + "/" + tmpPaneYearNum + ") could not be retrieved.";
}
function calendarReviewRoomDetailOver(target) {
var calendarDimensionsTemp = calendarFindPageDimensions();
var calendarPageWidth = parseInt(calendarDimensionsTemp.split(",")[0]);
var calendarPageWidthScroll = parseInt(calendarDimensionsTemp.split(",")[1]);
var calendarPageHeight = parseInt(calendarDimensionsTemp.split(",")[2]);
var calendarPageHeightScroll = parseInt(calendarDimensionsTemp.split(",")[3]);
var calendarDivWidth = calendarPaneReviewTimeGridWidth * 3;
/* Get Parent Location */
var elementTopX = 0, elementTopY = 0;
var xypos = ""; position = new Array();
xypos = calendarQueryElement(target, 0, 0);
position = xypos.split(","); elementTopX = parseInt(position[0]); elementTopY = parseInt(position[1]); position = [];
var pX = elementTopX + calendarPageWidthScroll + calendarPaneReviewTimeGridWidth;
var pY = elementTopY + calendarPageHeightScroll - 20;
if ((pX + calendarDivWidth) > (calendarPageWidth + calendarPageWidthScroll)) { pX = pX - (calendarDivWidth + calendarPaneReviewTimeGridWidth); }
if (captureDocTypeFound == 1) { pY = pY - calendarPageHeightScroll; }
var compiled = "";
if (target.indexOf("@") > -1) {
			       for (x = 0; x < roomDetails.length; x++) {
									 if (x == target.replace(/@/g, "")) {
													     compiled = compiled + "<p class=\"calendarReviewDetailsPaneTxt\">";
													     compiled = compiled + "<b>Configuration:</b> " + roomDetails[x].config + "<br />";
													     compiled = compiled + "<b>Type:</b> " + roomDetails[x].type + "<br />";
													     compiled = compiled + "<b>Capacity:</b> " + roomDetails[x].capacity + "<br />";
													     compiled = compiled + "<b>Details:</b> " + roomDetails[x].features;
													     compiled = compiled + "</p>";
													    }
									}
			      }
else {
      for (x = 0; x < roomReservations.length; x++) {
						     if (x == target.replace(/\|/g, "")) {
											  compiled = compiled + "<p class=\"calendarReviewDetailsPaneTxt\">";
											  if (roomReservations[x].status.toLowerCase() == "pending") { compiled = compiled + "<b>Pending:</b> " + roomReservations[x].detail; }
											  else {
												compiled = compiled + "<b>Location:</b> #" + roomReservations[x].room + " at " + roomReservations[x].timegrid + "<br />";
												compiled = compiled + "<b>Event:</b> " + roomReservations[x].evt + "<br />";
												compiled = compiled + "<b>Organization:</b> " + roomReservations[x].organization + "<br />";
												compiled = compiled + "<b>Details:</b> " + roomReservations[x].detail + "<br />";
											       }
											  compiled = compiled + "</p>";
											 }
						   }
     }
/* Fill Pane */
document.getElementById("calendarReviewDetailsPane").innerHTML = compiled;
/* Position Pane */
document.getElementById("calendarReviewDetailsPane").style.left = pX + "px";
document.getElementById("calendarReviewDetailsPane").style.top = pY + "px";
/* Show Pane */
document.getElementById("calendarReviewDetailsPane").style.display = "block";
}
function calendarReviewRoomDetailOut(target) {
document.getElementById("calendarReviewDetailsPane").style.display = "none";
}
function calendarPickTimeSlot(target) {
/* Show Applicable Buttons */
document.getElementById("calendarReviewPaneActionBtnLeftBlock").style.display = "block";
document.getElementById("calendarReviewPaneActionBtnRightBlock").style.display = "block";
/* Highlight Slot */
document.getElementById(target).style.backgroundColor = calendarTimeSlotActive;
/* Index Slot */
calendarReservationTimeSlot[calendarReservationTimeSlot.length] = target;
}
function calendarClearTimeSlot() {
/* Hide Applicable Buttons */
document.getElementById("calendarReviewPaneActionBtnLeftBlock").style.display = "none";
document.getElementById("calendarReviewPaneActionBtnRightBlock").style.display = "none";
/* Un-highlight Slot */
for (x = 0; x < calendarReservationTimeSlot.length; x++) { document.getElementById(calendarReservationTimeSlot[x]).style.backgroundColor = calendarTimeSlotDefault; }
/* Clear Index */
calendarReservationTimeSlot = [];
}
function calendarReserveTimeSeries() {
/* Shade Review Pane */
document.getElementById("calendarReviewPaneOverlay").style.display = "block";
/* Sort Grids */
calendarTimeGridSelSort();
/* Remove Duplicates */
tmpTimeGrids = new Array();
for (x = 0; x < calendarReservationTimeSlot.length; x++) {
							  if (x == 0) { tmpTimeGrids[tmpTimeGrids.length] = calendarReservationTimeSlot[x]; }
							  else {
								var tmpSaveFlag = 0;
								for (y = 0; y < tmpTimeGrids.length; y++) {
													   if (tmpTimeGrids[y] == calendarReservationTimeSlot[x]) { tmpSaveFlag = 1; }
													  }
								if (tmpSaveFlag == 0) { tmpTimeGrids[tmpTimeGrids.length] = calendarReservationTimeSlot[x]; }
							       }
							 }
calendarReservationTimeSlot = tmpTimeGrids; tmpTimeGrids = [];
/* Determine Slots & Rooms Reserved */
var reservationList = "", reservationListFrmValue = "", refNum = 0, refTime = "", xIndex = 0, yIndex = 0;
for (x = 0; x < calendarReservationTimeSlot.length; x++) {
							  xIndex = calendarReservationTimeSlot[x].split("_")[0];
							  yIndex = calendarReservationTimeSlot[x].split("_")[1];
							  refNum = roomDetails[xIndex].room;
							  refTime = roomReservations[yIndex].timegrid;
							  if (x > 0) {
								      reservationList = reservationList + "<br />";
								      reservationListFrmValue = reservationListFrmValue + ",";
								     }
							  reservationList = reservationList + "#" + refNum + " - " + refTime + " (" + tmpPaneMonthNum + "/" + tmpPaneDayNum + "/" + tmpPaneYearNum + ")";
							  reservationListFrmValue = reservationListFrmValue + refNum + "|" + refTime;
							 }
/* Build Form Pane */
var compiled = "";
compiled = compiled + "<div id=\"ReviewFrmPaneTop\" class=\"calendarDivBreak\"></div>";
compiled = compiled + "<div class=\"calendarReviewPaneFormTitleBlock\">";
compiled = compiled + "<p class=\"calendarReviewPaneTitleFormBlockTxt\">Complete Room Reservation <span class=\"calendarReviewPaneClose\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarReviewFrmPaneClose();\">" + calendarRoomPaneCloseBtn + "</span></p>";
compiled = compiled + "</div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
if (calendarFirstNameField == 1) {
				  compiled = compiled + "<div class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">First Name:</p></div><div class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarFirstName\" id=\"calendarFirstName\" class=\"calendarFirstNameInput\" /></p></div>";
				  compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				 }
if (calendarLastNameField == 1) {
				 compiled = compiled + "<div class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Last Name:</p></div><div class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarLastName\" id=\"calendarLastName\" class=\"calendarLastNameInput\" /></p></div>";
				 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				}
if (calendarEmailField == 1) {
			      compiled = compiled + "<div class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Email:</p></div><div class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarEmail\" id=\"calendarEmail\" class=\"calendarEmailInput\" /></p></div>";
			      compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
			     }
if (calendarOrganizationNameField == 1) {
					 compiled = compiled + "<div class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Organization Name:</p></div><div class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarOrganizationName\" id=\"calendarOrganizationName\" class=\"calendarOrganizationNameInput\" /></p></div>";
					 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
					}
if (calendarEventTitleField == 1) {
				   compiled = compiled + "<div class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Event Title:</p></div><div class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarEventTitle\" id=\"calendarEventTitle\" class=\"calendarEventTitleInput\" /></p></div>";
				   compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				  }
if (calendarEventRoomRecurField == 1) {
				       compiled = compiled + "<div class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Recurring Event?</p></div><div class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\">Recurs <select id=\"calendarEvtRecurType\" class=\"calendarNoteDateSel\"><option value=\"0\"> current date only </option><option value=\"1\"> weekly on same day </option><option value=\"2\"> monthly on same day </option></select> for <select id=\"calendarEvtRecurDuration\" class=\"calendarNoteDateSel\"><option value=\"1\"> 1 </option><option value=\"2\"> 2 </option><option value=\"3\"> 3 </option><option value=\"4\"> 4 </option><option value=\"5\"> 5 </option><option value=\"6\"> 6 </option><option value=\"7\"> 7 </option><option value=\"8\"> 8 </option><option value=\"9\"> 9 </option><option value=\"10\"> 10 </option><option value=\"11\"> 11 </option><option value=\"12\"> 12 </option></select> time(s).</p></div>";
				       compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				      }
if (calendarEventDescriptionField == 1) {
					 compiled = compiled + "<div id=\"browsersPamper1\" class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Event Description:</p></div><div id=\"browsersPamper2\" class=\"calendarReservePaneRight\"><p class=\"calendarReservePaneRightTxt\"><textarea name=\"calendarEventDescription\" id=\"calendarEventDescription\" wrap=\"true\" class=\"calendarEventDescriptionInput\"></textarea></p></div>";
					 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				        }
compiled = compiled + "<div id=\"browsersPamper3\" class=\"calendarReservePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Requested Reservation(s):</p></div><div id=\"browsersPamper4\" class=\"calendarReservePaneRight\"><div id=\"moreBrowserPamper1\" style=\"font-size: 0; height: 0;\"></div><p class=\"calendarReservePaneRightTxt\">" + reservationList + "</p><div id=\"moreBrowserPamper2\" style=\"font-size: 0; height: 0;\"><input type=\"hidden\" id=\"calendarReservationsMade\" name=\"calendarReservationsMade\" value=\"" + reservationListFrmValue + "\" /></div></div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
compiled = compiled + "<div class=\"calendarReservePaneLeftMsg\"><p id=\"calendarReservePaneLeftMsgTxt\" class=\"calendarReservePaneLeftMsgTxt\">" + calendarRoomIntroMsg + "</p></div><div class=\"calendarReservePaneRightSbt\"><p class=\"calendarReservePaneRightTxtSbt\"><input type=\"button\" id=\"calendarReserveFrm\" class=\"calendarReviewPaneActionBtnLeftReserve\" value=\"Commit\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarReserveFrm();\" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"button\" id=\"calendarClearFrm\" class=\"calendarReviewPaneActionBtnRightClear\" value=\"Clear\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarClearFrm();\" /></p></div>";
compiled = compiled + "<div id=\"ReviewFrmPaneBottom\" class=\"calendarDivBreak\"></div>";
/* Fill Pane */
document.getElementById("calendarReservePane").innerHTML = compiled;
document.getElementById("calendarReservePane").style.visibility = "hidden";
document.getElementById("calendarReservePane").style.display = "block";
var elementTopY = 0, elementBottomY = 0;
var xypos = ""; position = new Array();
/* All browsers except IE challenged by being able to figure out and correctly position divs after the variable height of the room reservations listed.  Calculate and tell the browsers what they should already know. */
if (captureDocTypeFound == 0) {
			       if (navigator.userAgent.toLowerCase().indexOf("msie") == -1) {
											     xypos = calendarQueryElement("moreBrowserPamper1", 0, 0);
											     position = xypos.split(","); elementTopY = parseInt(position[1]); position = [];
											     xypos = calendarQueryElement("moreBrowserPamper2", 0, 0);
											     position = xypos.split(","); elementBottomY = parseInt(position[1]); position = [];
											     document.getElementById("browsersPamper3").style.height = ((elementBottomY - elementTopY) + calendarEventDescriptionInputTopBtmPadding) + "px";
											     document.getElementById("browsersPamper4").style.height = ((elementBottomY - elementTopY) + calendarEventDescriptionInputTopBtmPadding) + "px";
											    }
			      }
else {
      xypos = calendarQueryElement("moreBrowserPamper1", 0, 0);
      position = xypos.split(","); elementTopY = parseInt(position[1]); position = [];
      xypos = calendarQueryElement("moreBrowserPamper2", 0, 0);
      position = xypos.split(","); elementBottomY = parseInt(position[1]); position = [];
      document.getElementById("browsersPamper3").style.height = ((elementBottomY - elementTopY) + calendarEventDescriptionInputTopBtmPadding) + "px";
      document.getElementById("browsersPamper4").style.height = ((elementBottomY - elementTopY) + calendarEventDescriptionInputTopBtmPadding) + "px";
     }
/* Calculate Position */
var calendarDimensionsTemp = calendarFindPageDimensions();
var calendarPageWidth = parseInt(calendarDimensionsTemp.split(",")[0]);
var calendarPageWidthScroll = parseInt(calendarDimensionsTemp.split(",")[1]);
var calendarPageHeight = parseInt(calendarDimensionsTemp.split(",")[2]);
var calendarPageHeightScroll = parseInt(calendarDimensionsTemp.split(",")[3]);
var calendarXPosition = ((calendarPageWidth / 2) + calendarPageWidthScroll) - (calendarReservePane / 2);
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { calendarXPosition = calendarXPosition - 16; }
else { calendarXPosition = calendarXPosition - 8; }
/* Get Height of Pane */
xypos = calendarQueryElement("ReviewFrmPaneTop", 0, 0);
position = xypos.split(","); elementTopY = parseInt(position[1]); position = [];
xypos = calendarQueryElement("ReviewFrmPaneBottom", 0, 0);
position = xypos.split(","); elementBottomY = parseInt(position[1]); position = [];
var calendarDivHeight = 0;
if (document.getElementById("browsersPamper1")) { calendarDivHeight = (elementBottomY - elementTopY) + (calendarBorderWidth + calendarEventDescriptionInputHeight); }
else { calendarDivHeight = (elementBottomY - elementTopY) + calendarBorderWidth; }
var calendarYPosition = ((calendarPageHeight / 2) + calendarPageHeightScroll) - (calendarDivHeight / 2);
/* Pamper browsers for Y height of the textarea to specify height */
if (document.getElementById("browsersPamper1")) { if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { document.getElementById("browsersPamper1").style.height = (calendarEventDescriptionInputHeight + calendarEventDescriptionInputTopBtmPadding) + "px"; } }
if (document.getElementById("browsersPamper2")) { document.getElementById("browsersPamper2").style.height = (calendarEventDescriptionInputHeight + calendarEventDescriptionInputTopBtmPadding) + "px"; }
/* All browsers except IE are challenged by height of textarea, so tell them what it is */
if (navigator.userAgent.toLowerCase().indexOf("msie") == -1) { document.getElementById("calendarReservePane").style.height = calendarDivHeight + "px"; }
/* Position Pane */
document.getElementById("calendarReservePane").style.left = calendarXPosition + "px";
document.getElementById("calendarReservePane").style.top = calendarYPosition + "px";
/* Show Pane */
document.getElementById("calendarReservePane").style.visibility = "visible";
}
function calendarClearFrm() {
if (document.getElementById("calendarFirstName")) { document.getElementById("calendarFirstName").value = ""; }
if (document.getElementById("calendarLastName")) { document.getElementById("calendarLastName").value = ""; }
if (document.getElementById("calendarEmail")) { document.getElementById("calendarEmail").value = ""; }
if (document.getElementById("calendarOrganizationName")) { document.getElementById("calendarOrganizationName").value = ""; }
if (document.getElementById("calendarEventTitle")) { document.getElementById("calendarEventTitle").value = ""; }
if (document.getElementById("calendarEventDescription")) { document.getElementById("calendarEventDescription").value = ""; }
if (document.getElementById("calendarEvtStartMonth")) { calendarEvtSetRange(); }
}
function calendarEvtSetRange() {
/* Clear */
for (x = 0; x < document.getElementById("calendarEvtStartMonth").length; x++) { document.getElementById("calendarEvtStartMonth").options[x].selectedIndex = false; }
for (x = 0; x < document.getElementById("calendarEvtStartDay").length; x++) { document.getElementById("calendarEvtStartDay").options[x].selectedIndex = false; }
for (x = 0; x < document.getElementById("calendarEvtStartYear").length; x++) { document.getElementById("calendarEvtStartYear").options[x].selectedIndex = false; }
for (x = 0; x < document.getElementById("calendarEvtEndMonth").length; x++) { document.getElementById("calendarEvtEndMonth").options[x].selectedIndex = false; }
for (x = 0; x < document.getElementById("calendarEvtEndDay").length; x++) { document.getElementById("calendarEvtEndDay").options[x].selectedIndex = false; }
for (x = 0; x < document.getElementById("calendarEvtEndYear").length; x++) { document.getElementById("calendarEvtEndYear").options[x].selectedIndex = false; }
/* Make Selection */
for (x = 0; x < document.getElementById("calendarEvtStartMonth").length; x++) { if (parseInt(document.getElementById("calendarEvtStartMonth").options[x].value) == parseInt(tmpPaneMonthNum)) { document.getElementById("calendarEvtStartMonth").options[x].selected = true; } }
for (x = 0; x < document.getElementById("calendarEvtStartDay").length; x++) { if (parseInt(document.getElementById("calendarEvtStartDay").options[x].value) == parseInt(tmpPaneDayNum)) { document.getElementById("calendarEvtStartDay").options[x].selected = true; } }
for (x = 0; x < document.getElementById("calendarEvtStartYear").length; x++) { if (parseInt(document.getElementById("calendarEvtStartYear").options[x].value) == parseInt(tmpPaneYearNum)) { document.getElementById("calendarEvtStartYear").options[x].selected = true; } }
for (x = 0; x < document.getElementById("calendarEvtEndMonth").length; x++) { if (parseInt(document.getElementById("calendarEvtEndMonth").options[x].value) == parseInt(tmpPaneMonthNum)) { document.getElementById("calendarEvtEndMonth").options[x].selected = true; } }
for (x = 0; x < document.getElementById("calendarEvtEndDay").length; x++) { if (parseInt(document.getElementById("calendarEvtEndDay").options[x].value) == parseInt(tmpPaneDayNum)) { document.getElementById("calendarEvtEndDay").options[x].selected = true; } }
for (x = 0; x < document.getElementById("calendarEvtEndYear").length; x++) { if (parseInt(document.getElementById("calendarEvtEndYear").options[x].value) == parseInt(tmpPaneYearNum)) { document.getElementById("calendarEvtEndYear").options[x].selected = true; } }
}
function calendarNoteFrmOpen() {
/* Shade Review Pane */
document.getElementById("calendarReviewPaneOverlay").style.display = "block";
/* Get Year */
var currentDate = new Date(); var currentYear = currentDate.getFullYear();
/* Build Form Pane */
var compiled = "";
compiled = compiled + "<div id=\"ReviewFrmPaneTop\" class=\"calendarDivBreak\"></div>";
compiled = compiled + "<div class=\"calendarReviewPaneFormTitleBlock\">";
compiled = compiled + "<p class=\"calendarReviewPaneTitleFormBlockTxt\">Complete Event Reservation " + calendarEventMoreBlurb + " <span class=\"calendarReviewPaneClose\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarNoteFrmPaneClose();\">" + calendarNotePaneCloseBtn + "</span></p>";
compiled = compiled + "</div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
if (calendarFirstNameField == 1) {
				  compiled = compiled + "<div class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">First Name:</p></div><div class=\"calendarReserveNotePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarFirstName\" id=\"calendarFirstName\" class=\"calendarFirstNameInput\" /></p></div>";
				  compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				 }
if (calendarLastNameField == 1) {
				 compiled = compiled + "<div class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Last Name:</p></div><div class=\"calendarReserveNotePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarLastName\" id=\"calendarLastName\" class=\"calendarLastNameInput\" /></p></div>";
				 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				}
if (calendarEmailField == 1) {
			      compiled = compiled + "<div class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Email:</p></div><div class=\"calendarReserveNotePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarEmail\" id=\"calendarEmail\" class=\"calendarEmailInput\" /></p></div>";
			      compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
			     }
if (calendarOrganizationNameField == 1) {
					 compiled = compiled + "<div class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Organization Name:</p></div><div class=\"calendarReserveNotePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarOrganizationName\" id=\"calendarOrganizationName\" class=\"calendarOrganizationNameInput\" /></p></div>";
					 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
					}
if (calendarEventTitleField == 1) {
				   compiled = compiled + "<div class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Event Title:</p></div><div class=\"calendarReserveNotePaneRight\"><p class=\"calendarReservePaneRightTxt\"><input type=\"text\" name=\"calendarEventTitle\" id=\"calendarEventTitle\" class=\"calendarEventTitleInput\" /></p></div>";
				   compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				  }
compiled = compiled + "<div class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Event Duration:</p></div><div class=\"calendarReserveNotePaneRight\">";
compiled = compiled + "<p class=\"calendarReservePaneRightTxt\">";
compiled = compiled + "<select id=\"calendarEvtStartMonth\" class=\"calendarNoteDateSel\"><option value=\"1\">1</option><option value=\"2\">2</option><option value=\"3\">3</option><option value=\"4\">4</option><option value=\"5\">5</option><option value=\"6\">6</option><option value=\"7\">7</option><option value=\"8\">8</option><option value=\"9\">9</option><option value=\"10\">10</option><option value=\"11\">11</option><option value=\"12\">12</option></select>";
compiled = compiled + " / <select id=\"calendarEvtStartDay\" class=\"calendarNoteDateSel\"><option value=\"1\">1</option><option value=\"2\">2</option><option value=\"3\">3</option><option value=\"4\">4</option><option value=\"5\">5</option><option value=\"6\">6</option><option value=\"7\">7</option><option value=\"8\">8</option><option value=\"9\">9</option><option value=\"10\">10</option><option value=\"11\">11</option><option value=\"12\">12</option>";
compiled = compiled + "<option value=\"13\">13</option><option value=\"14\">14</option><option value=\"15\">15</option><option value=\"16\">16</option><option value=\"17\">17</option><option value=\"18\">18</option><option value=\"19\">19</option><option value=\"20\">20</option><option value=\"21\">21</option><option value=\"22\">22</option><option value=\"23\">23</option><option value=\"24\">24</option><option value=\"25\">25</option><option value=\"26\">26</option><option value=\"27\">27</option><option value=\"28\">28</option><option value=\"29\">29</option><option value=\"30\">30</option><option value=\"31\">31</option></select>";
compiled = compiled + " / <select id=\"calendarEvtStartYear\" class=\"calendarNoteDateSel\"><option value=\"" + currentYear + "\">" + currentYear + "</option><option value=\"" + (currentYear + 1) + "\">" + (currentYear + 1) + "</option></select>";
compiled = compiled + " TO ";
compiled = compiled + "<select id=\"calendarEvtEndMonth\" class=\"calendarNoteDateSel\"><option value=\"1\">1</option><option value=\"2\">2</option><option value=\"3\">3</option><option value=\"4\">4</option><option value=\"5\">5</option><option value=\"6\">6</option><option value=\"7\">7</option><option value=\"8\">8</option><option value=\"9\">9</option><option value=\"10\">10</option><option value=\"11\">11</option><option value=\"12\">12</option></select>";
compiled = compiled + " / <select id=\"calendarEvtEndDay\" class=\"calendarNoteDateSel\"><option value=\"1\">1</option><option value=\"2\">2</option><option value=\"3\">3</option><option value=\"4\">4</option><option value=\"5\">5</option><option value=\"6\">6</option><option value=\"7\">7</option><option value=\"8\">8</option><option value=\"9\">9</option><option value=\"10\">10</option><option value=\"11\">11</option><option value=\"12\">12</option>";
compiled = compiled + "<option value=\"13\">13</option><option value=\"14\">14</option><option value=\"15\">15</option><option value=\"16\">16</option><option value=\"17\">17</option><option value=\"18\">18</option><option value=\"19\">19</option><option value=\"20\">20</option><option value=\"21\">21</option><option value=\"22\">22</option><option value=\"23\">23</option><option value=\"24\">24</option><option value=\"25\">25</option><option value=\"26\">26</option><option value=\"27\">27</option><option value=\"28\">28</option><option value=\"29\">29</option><option value=\"30\">30</option><option value=\"31\">31</option></select>";
compiled = compiled + " / <select id=\"calendarEvtEndYear\" class=\"calendarNoteDateSel\"><option value=\"" + currentYear + "\">" + currentYear + "</option><option value=\"" + (currentYear + 1) + "\">" + (currentYear + 1) + "</option></select>";
compiled = compiled + "</p>";
compiled = compiled + "</div>";
compiled = compiled + "<div class=\"calendarDivBreak\"></div>";

if (calendarEventDescriptionField == 1) {
					 compiled = compiled + "<div id=\"browsersPamper1\" class=\"calendarReserveNotePaneLeft\"><p class=\"calendarReservePaneLeftTxt\">Event Description:</p></div><div id=\"browsersPamper2\" class=\"calendarReserveNotePaneRight\"><p class=\"calendarReservePaneRightTxt\"><textarea name=\"calendarEventDescription\" id=\"calendarEventDescription\" wrap=\"true\" class=\"calendarEventDescriptionInput\"></textarea></p></div>";
					 compiled = compiled + "<div class=\"calendarDivBreak\"></div>";
				        }
compiled = compiled + "<div class=\"calendarReservePaneLeftMsg\"><p id=\"calendarReservePaneLeftMsgTxt\" class=\"calendarReservePaneLeftMsgTxt\">" + calendarNoteIntroMsg + "</p></div><div class=\"calendarReservePaneRightSbt\"><p class=\"calendarReservePaneRightTxtSbt\"><input type=\"button\" id=\"calendarReserveFrm\" class=\"calendarReviewPaneActionBtnLeftReserve\" value=\"Commit\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarNoteFrm();\" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"button\" id=\"calendarClearFrm\" class=\"calendarReviewPaneActionBtnRightClear\" value=\"Clear\" onmouseover=\"this.style.cursor='pointer';\" onmouseout=\"this.style.cursor='default';\" onclick=\"calendarClearFrm();\" /></p></div>";
compiled = compiled + "<div id=\"ReviewFrmPaneBottom\" class=\"calendarDivBreak\"></div>";
/* Fill Pane */
document.getElementById("calendarReservePane").innerHTML = compiled;
document.getElementById("calendarReservePane").style.visibility = "hidden";
document.getElementById("calendarReservePane").style.display = "block";
/* Select Dates */
calendarEvtSetRange();
var elementTopY = 0, elementBottomY = 0;
var xypos = ""; position = new Array();
/* Calculate Position */
var calendarDimensionsTemp = calendarFindPageDimensions();
var calendarPageWidth = parseInt(calendarDimensionsTemp.split(",")[0]);
var calendarPageWidthScroll = parseInt(calendarDimensionsTemp.split(",")[1]);
var calendarPageHeight = parseInt(calendarDimensionsTemp.split(",")[2]);
var calendarPageHeightScroll = parseInt(calendarDimensionsTemp.split(",")[3]);
var calendarXPosition = ((calendarPageWidth / 2) + calendarPageWidthScroll) - (calendarReservePane / 2);
if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { calendarXPosition = calendarXPosition - 16; }
else { calendarXPosition = calendarXPosition - 8; }
/* Get Height of Pane */
xypos = calendarQueryElement("ReviewFrmPaneTop", 0, 0);
position = xypos.split(","); elementTopY = parseInt(position[1]); position = [];
xypos = calendarQueryElement("ReviewFrmPaneBottom", 0, 0);
position = xypos.split(","); elementBottomY = parseInt(position[1]); position = [];
var calendarDivHeight = 0;
if (document.getElementById("browsersPamper1")) {
						 if (navigator.userAgent.toLowerCase().indexOf("msie") == -1) { calendarDivHeight = (elementBottomY - elementTopY) + (calendarBorderWidth + calendarEventDescriptionInputHeight); }
						 else { calendarDivHeight = (elementBottomY - elementTopY) + calendarBorderWidth; }
						}
else { calendarDivHeight = (elementBottomY - elementTopY) + calendarBorderWidth; }
var calendarYPosition = ((calendarPageHeight / 2) + calendarPageHeightScroll) - (calendarDivHeight / 2);
/* Pamper browsers for Y height of the textarea to specify height */
if (document.getElementById("browsersPamper1")) { if (navigator.userAgent.toLowerCase().indexOf("msie") > 0) { document.getElementById("browsersPamper1").style.height = (calendarEventDescriptionInputHeight + calendarEventDescriptionInputTopBtmPadding) + "px"; } }
if (document.getElementById("browsersPamper2")) { document.getElementById("browsersPamper2").style.height = (calendarEventDescriptionInputHeight + calendarEventDescriptionInputTopBtmPadding) + "px"; }
/* All browsers except IE are challenged by height of textarea, so tell them what it is */
if (navigator.userAgent.toLowerCase().indexOf("msie") == -1) { document.getElementById("calendarReservePane").style.height = calendarDivHeight + "px"; }
/* Position Pane */
document.getElementById("calendarReservePane").style.left = calendarXPosition + "px";
document.getElementById("calendarReservePane").style.top = calendarYPosition + "px";
/* Show Pane */
document.getElementById("calendarReservePane").style.visibility = "visible";
}
/* Validation */
function calendarValidate_nameStringPattern(data) {
/* Returns false if string has more than a-z, A-Z, -, ' and whitespace */
var result = true; var accuratePattern = /[^a-zA-Z\-\s']/;
if (accuratePattern.test(data) == true) { result = false; }
return result;
}
function calendarValidate_emailStringPattern(data) {
/* Returns false if email string is invalid */
var result = true; var accuratePattern = /^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9])+(\.[a-zA-Z0-9_-]+)+$/;
if (accuratePattern.test(data) == false) { result = false; }
return result;
}
function calendarFilter_stringLeftClip(data) {
/* Returns the string with all leading whitespace removed */
data = data.replace(/^\s+/, "");
return data;
}
function calendarFilter_stringRightClip(data) {
/* Returns the string with all trailing whitespace removed */
data = data.replace(/\s+$/, "");
return data;
}
function calendarFilter_Encode(data) {
data = escape(data);
data = data.replace("+", "%2B");
data = data.replace("/", "%2F");
return data;
}
function calendarFailPartsAdd(eData, nData) {
if (eData.length > 0) { eData = eData + ", " + nData; }
else { eData = nData; }
return eData;
}
function calendarTranslate(data, maxChars) {
data = unescape(data);
if (data.length > maxChars) { data = data.substring(0, maxChars) + "..."; }
return data;
}
/* Communication */
function calendarCaptureXML(xmlStream) { xml = xmlStream; wxml_mfoparse(xml.getElementsByTagName(leadnode)); }
function warray_push(array_name, value) {
var size = array_name.length;
array_name[size] = value;
}
function wname_real(rname) {
if (rname != '#text') { return true; }
return false;
}
function wxml_mfoparse(node_name) {
var cycle = 0, tier = "", n_name = "", n_value = ""; step = 0; bstep = 0;
var old_name = "", current_name = "";
/* Get Parent Nodes In Master Node */
for (pd = 0; pd < node_name[0].childNodes.length; pd++) {
	n_name = node_name[0].childNodes[pd].nodeName;
	n_value = node_name[0].childNodes[pd].nodeValue;
	if (wname_real(n_name)) {
		if (cycle == 0) { tier = n_name; cycle = 1; }
		else { tier = tier + "|" + n_name; }
				}
						        }
/* Save Parent Tier */
tier_data = new Array(); tier_data = tier.split("|");
for (td = 0; td < tier_data.length; td++) {
	warray_push(parent_node_names, tier_data[td]);
				          }
/* Get Node Names/Values In Each Parent Node */
for (cn = 0; cn < parent_node_names.length; cn++) {
	if (current_name.length > 0) { old_name = current_name; }
	var nlayer_name = xml.getElementsByTagName(parent_node_names[cn]);
	if (cn == 0 && bstep == 0) {
				    step = 0; current_name = parent_node_names[cn];
				    xml_row_count = xml_row_count + 1;
				    xml_node_path[xml_node_count] = "new_xml_row";
				    xml_node_value[xml_node_count] = xml_row_count;
				    xml_node_count = xml_node_count + 1;
				   }
	else {
	      current_name = parent_node_names[cn];
	      if (current_name != old_name) { step = 0; bstep = 0; }
	      else { step = step + 1; bstep = 1; }
	      xml_row_count = xml_row_count + 1;
	      xml_node_path[xml_node_count] = "new_xml_row";
	      xml_node_value[xml_node_count] = xml_row_count;
	      xml_node_count = xml_node_count + 1;
	     }
	wxmlchild_nvs(nlayer_name[step]);
						  }
/* Trigger Based on Action */
if (calendarLoadDataSequence.toLowerCase() == "frmparameters") { calendarExtractFrmParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "roomtimes") { calendarExtractRoomTimesParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "roomsoverview") { calendarExtractRoomDetailsParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "getmonth") { calendarExtractGetMonthParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "getday") { calendarExtractGetDayParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "getnotes") { calendarExtractGetNotesParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "roomreservation") { calendarExtractGetReservationParameters(); }
else if (calendarLoadDataSequence.toLowerCase() == "notereservation") { calendarExtractGetNoteParameters(); }
}
function wxml_mieparse(node_probe) {
var parent_count = 0; parent_count = node_probe.childNodes.length;
if (parent_count > 0) {
	for (pd = 0; pd < parent_count; pd++) {
		warray_push(parent_node_names, node_probe.childNodes[pd].nodeName);
					      }
	wxml_parse(node_probe);
		      }
}
/* Parse XML - Mozilla, Safari, Etc */
function wxmlchild_nvs(node_probe) {
var cnode_name, cnode_value, cnode_probe;
if (node_probe.hasChildNodes()) {
	for (var sn = 0; sn < node_probe.childNodes.length; sn++) {
		fnode_name = node_probe.firstChild.nodeName;
		fnode_value = node_probe.firstChild.nodeValue;
	        cnode_name = node_probe.childNodes[sn].nodeName;
	        cnode_value = node_probe.childNodes[sn].nodeValue;
		try {
		cnode_probe = xml.getElementsByTagName(cnode_name);
		if (wname_real(cnode_name)) {
			wxmlchild_nvs(cnode_probe[step]);
					    }
		if (wname_real(cnode_name)) {
			xml_node_path[xml_node_count] = cnode_name;
			xml_node_value[xml_node_count] = fnode_value;
			xml_node_count = xml_node_count + 1;
					    }
		     }
		catch (onerror) { /* Token Error */ }
								  }
				}
}
/* Parse XML - PC IE */
function wxml_parse(xml_nest) {
if(xml_nest.hasChildNodes()) {
	if (xml_dot_name.length > 0) {
		xml_dot_name = xml_nest.nodeName;
		if (xml_second_flag == 0) { xml_second_block = xml_nest.nodeName; }
		if (xml_nest.nodeName == xml_second_block && xml_parent_count > 0) {
			xml_dot_name = xml_nest.nodeName;
			xml_row_count = xml_row_count + 1;
			xml_node_path[xml_node_count] = "new_xml_row";
			xml_node_value[xml_node_count] = xml_row_count;
			xml_node_count = xml_node_count + 1;
							   			   }
		xml_second_flag += 1;
		if (xml_dot_name == parent_node_names[xml_parent_count]) { xml_second_flag = 0; xml_parent_count = xml_parent_count + 1; }
				     }
	else { xml_dot_name = xml_nest.nodeName; xml_first_block = xml_nest.nodeName; }
	for(var xn = 0; xn < xml_nest.childNodes.length; xn++) {
		wxml_parse(xml_nest.childNodes(xn));
						               }
			     }
else {
      xml_node_path[xml_node_count] = xml_dot_name;
      xml_node_value[xml_node_count] = xml_nest.nodeValue;
      xml_node_count = xml_node_count + 1;
     }
}
function wxml_getnumrows() {
var num_rows = 0;
for (var trail = 0; trail < xml_node_path.length; trail++) {
	if (xml_node_path[trail] == "new_xml_row") { num_rows = xml_node_value[trail]; }
							   }
return num_rows;
}
function wxml_getrow(rowid) {
var compiler = ""; var flag = 0; var chunked = 0;
for (var trail = 0; trail < xml_node_path.length; trail++) {
	if (flag == 1 && xml_node_path[trail] == "new_xml_row") { flag = 0; }
	if (flag == 1) {
		if (chunked == 0) { compiler = xml_node_path[trail] + "=" + xml_node_value[trail]; chunked = 1; }
		else { compiler = compiler + "||" + xml_node_path[trail] + "=" + xml_node_value[trail]; }
		       }
	if (xml_node_path[trail] == "new_xml_row" && xml_node_value[trail] == rowid) { flag = 1; }
							   }
return compiler;
}
function calendarXMLRequest(url, parameters, sequence) {
/* Set/Reset Data */
step = 0; bstep = 0;
xml_first_block = ""; xml_second_block = ""; xml_dot_name = ""; xml_dot_value = ""; xml_first_node = "";
xml_second_flag = 0; xml_node_count = 0; xml_row_count = 0; xml_parent_count = 0;
fnode_name = ""; fnode_value = "";
xml_node_path = []; xml_node_value = []; parent_node_names = [];
/* Continue */
calendarLoadDataSequence = sequence;
try { ajax_request = new XMLHttpRequest(); }
catch (trymicrosoft) {
	try { ajax_request = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (othermicrosoft) {
		try { ajax_request = new ActiveXObject("Microsoft.XMLHTTP"); }
		catch (failed) { ajax_request = false; }
			       }
		     }
ajax_request.open("POST", url, true); /* If GET, parameters appended to URL and encoded before this call is made */
ajax_request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded"); /* If sending XML -> text/xml;charset=utf-8 */
ajax_request.setRequestHeader("Content-Length", parameters.length); /* Used with POST method */
ajax_request.setRequestHeader("Connection", "close"); /* Used with POST method */
ajax_request.onreadystatechange = calendarXMLResponse;
ajax_request.send(parameters); /* If not using new FormData() method (IE9- no support), data must be manually encoded */
}
function calendarXMLResponse() {
if (ajax_request.readyState == 4) {
				   if (ajax_request.status == 200) { calendarCaptureXML(ajax_request.responseXML); }
				   else {
					 if (calendarInitialMsgState == 1) { calendarRenderFAIL(); }
					 else {
					       /* Trigger Based on Action */
					       if (calendarLoadDataSequence.toLowerCase() == "roomtimes") { calendarRenderFAIL(); }
					       else if (calendarLoadDataSequence.toLowerCase() == "roomsoverview") { calendarRenderFAIL(); }
					       else if (calendarLoadDataSequence.toLowerCase() == "getmonth") { if (calendarElementsInitialized == 1) { calendarRenderFAIL(); } else { if (document.getElementById("calendarMsgBlockTxt")) { document.getElementById("calendarMsgBlockTxt").innerHTML = calendarGetFailMsg; } } }
					       else if (calendarLoadDataSequence.toLowerCase() == "getday") { calendarDayDetailsPaneRenderFAIL(); }
					       else if (calendarLoadDataSequence.toLowerCase() == "getnotes") { calendarDayDetailsPaneRenderFAIL(); }
					       else if (calendarLoadDataSequence.toLowerCase() == "roomreservation") { calendarReserveFrmFAIL(); }
					       else if (calendarLoadDataSequence.toLowerCase() == "notereservation") { calendarNoteFrmFAIL(); }
					      }
					}
				  }
}
/* Communication Triggers */
function calendarConfig() {
/* Setup Elements if not Set */
if (calendarElementsInitialized == 0) {
				       calendarElementsInitialized = 1;
				       setupCSS(); setupElements();
				       calendarInitialMsg();
				      }
/* Step 1 - 4: Load Config */
calendarXMLRequest(calendarSPathParams, "", "frmparameters");
}
function calendarExtractFrmParameters() {
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = wxml_getrow(x).split("||");
								       for (y = 0; y < xmlRow.length; y++) { calendarFrmUserComplete(xmlRow[y].split("=")[0], xmlRow[y].split("=")[1]); }
								      }
					 }
/* Step 2: Load Room Times */
calendarXMLRequest(calendarSPathTimes, "", "roomtimes");
}
function calendarExtractRoomTimesParameters() {
timeGrids = [];
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = wxml_getrow(x).split("||");
								       for (y = 0; y < xmlRow.length; y++) { timeGridsAddEntry(xmlRow[y].split("=")[1]); }
								      }
					 }
/* Sort */
if (calendarSortTimeSlotsAllow == 1) { timeGridsSort(); }
/* Step 3: Load Room Details */
calendarXMLRequest(calendarSPathRoomInfo, "", "roomsoverview");
}
function calendarExtractRoomDetailsParameters() {
roomDetails = [];
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = dataSegment.split("||");
								       var tmpRoom = 0, tmpCapacity = 0, tmpRoomName = "", tmpRoomType = "", tmpRoomFeatures = "";
								       for (y = 0; y < xmlRow.length; y++) {
													    var tmp_Name = xmlRow[y].split("=")[0].toLowerCase(), tmp_Value = xmlRow[y].split("=")[1];
													    if (tmp_Name == "room") { tmpRoom = tmp_Value; }
													    else if (tmp_Name == "capacity") { tmpCapacity = tmp_Value; }
													    else if (tmp_Name == "roomname") { tmpRoomName = tmp_Value; }
													    else if (tmp_Name == "roomtype") { tmpRoomType = tmp_Value; }
													    else if (tmp_Name == "roomfeatures") { tmpRoomFeatures = tmp_Value; }
													   }
								       if (parseInt(tmpRoom) > 0) { roomDetailsAddEntry(tmpRoom, tmpCapacity, tmpRoomName, tmpRoomType, tmpRoomFeatures); }
								      }
					 }
/* Sort */
roomDetailsSort();
/* Step 4: Launch Calendar */
calendarRender(numDateChosen, txtDateChosen);
}
function calendarRender(numDate, txtDate) {
numDateChosen = numDate; txtDateChosen = txtDate;
/* Message */
if (document.getElementById("calendarMsgBlockTxt")) { document.getElementById("calendarMsgBlockTxt").innerHTML = calendarProcessingMsg; }
/* Get Data for month/year */
calendarXMLRequest(calendarSPathMonth, "date=" + calendarFilter_Encode(numDateChosen), "getmonth");
}
function calendarExtractGetMonthParameters() {
calendarDetails = [];
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = dataSegment.split("||");
								       var tmpDay = 0, tmpMonth = 0, tmpYear = 0, tmpRoom = 0, tmpEventTitle = "";
								       for (y = 0; y < xmlRow.length; y++) {
													    var tmp_Name = xmlRow[y].split("=")[0].toLowerCase(), tmp_Value = xmlRow[y].split("=")[1];
													    if (tmp_Name == "day") { tmpDay = tmp_Value; }
													    else if (tmp_Name == "month") { tmpMonth = tmp_Value; }
													    else if (tmp_Name == "year") { tmpYear = tmp_Value; }
													    else if (tmp_Name == "room") { tmpRoom = tmp_Value; }
													    else if (tmp_Name == "eventtitle") { tmpEventTitle = tmp_Value; }
													   }
								       calendarDetailsAddEntry(tmpDay, tmpMonth, tmpYear, tmpRoom, tmpEventTitle);
								      }
					 }
/* Sort & Build the Grid Array */
calendarDetailsBuildGrid();
/* Render */
calendarRenderPASS();
}
function calendarDayDetailsPane(dayNum, monthNum, yearNum, dayName, monthName) {
tmpPaneDayNum = dayNum; tmpPaneMonthNum = monthNum; tmpPaneYearNum = yearNum; tmpPaneDayName = dayName; tmpPaneMonthName = monthName;
/* Message */
document.getElementById("calendarMsgBlockTxt").innerHTML = calendarProcessingMsg;
/* Get data from server for the current month/day/year selected */
calendarXMLRequest(calendarSPathDay, "date=" + calendarFilter_Encode(monthNum + "/" + dayNum + "/" + yearNum), "getday");
}
function calendarExtractGetDayParameters() {
dayReservations = []; roomReservations = [];
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = dataSegment.split("||");
								       var tmpRoom = 0, tmpEventTitle = "", tmpOrganizationName = "", tmpDescription = "", tmpTimeGrid = "", tmpStatus = "";
								       for (y = 0; y < xmlRow.length; y++) {
													    var tmp_Name = xmlRow[y].split("=")[0].toLowerCase(), tmp_Value = xmlRow[y].split("=")[1];
													    if (tmp_Name == "room") { tmpRoom = tmp_Value; }
													    else if (tmp_Name == "eventtitle") { tmpEventTitle = tmp_Value; }
													    else if (tmp_Name == "organizationname") { tmpOrganizationName = tmp_Value; }
													    else if (tmp_Name == "eventdescription") { tmpDescription = tmp_Value; }
													    else if (tmp_Name == "eventtimegrid") { tmpTimeGrid = tmp_Value; }
													    else if (tmp_Name == "eventstatus") { tmpStatus = tmp_Value; }
													   }
								       dayReservationsAddEntry(tmpRoom, tmpEventTitle, tmpOrganizationName, tmpDescription, tmpTimeGrid, tmpStatus);
								      }
					 }
/* Sort & Build the Grid Array */
dayReservationsBuildGrid();
/* Get Notes */
calendarXMLRequest(calendarSPathNotes, "date=" + calendarFilter_Encode(tmpPaneMonthNum + "/" + tmpPaneDayNum + "/" + tmpPaneYearNum), "getnotes");
}
function calendarExtractGetNotesParameters() {
var retDataFlag = 0; generalNotes = [];
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = dataSegment.split("||"); retDataFlag = 1;
								       var tmpEventTitle = "", tmpEventDescription = "";
								       for (y = 0; y < xmlRow.length; y++) {
													    var tmp_Name = xmlRow[y].split("=")[0].toLowerCase(), tmp_Value = xmlRow[y].split("=")[1];
													    if (tmp_Name == "eventtitle") { tmpEventTitle = tmp_Value; }
													    else if (tmp_Name == "eventdescription") { tmpEventDescription = tmp_Value; }
													   }
								       generalNotesAddEntry(tmpEventTitle, tmpEventDescription);
								      }
					 }
if (retDataFlag == 1) {
		       /* Sort */
		       generalNotesSort();
		      }
/* Render */
calendarDayDetailsPaneRenderPASS();
}
/* Communication Submission Triggers */
function calendarReserveFrm() {
var passFlag = 1, failParts = "", cFirstName = "", cLastName = "", cEmail = "", cOrganizationName = "", cEventTitle = "", cEventDescription = "", recurChoice = 0, recurValue = 0;
/* Trim Data */
if (calendarFirstNameField == 1) { document.getElementById("calendarFirstName").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarFirstName").value)); }
if (calendarLastNameField == 1) { document.getElementById("calendarLastName").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarLastName").value)); }
if (calendarEmailField == 1) { document.getElementById("calendarEmail").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarEmail").value)); }
if (calendarOrganizationNameField == 1) { document.getElementById("calendarOrganizationName").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarOrganizationName").value)); }
if (calendarEventTitleField == 1) { document.getElementById("calendarEventTitle").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarEventTitle").value)); }
/* Load Data */
if (calendarFirstNameField == 1) { cFirstName = document.getElementById("calendarFirstName").value; }
if (calendarLastNameField == 1) { cLastName = document.getElementById("calendarLastName").value; }
if (calendarEmailField == 1) { cEmail = document.getElementById("calendarEmail").value; }
if (calendarOrganizationNameField == 1) { cOrganizationName = document.getElementById("calendarOrganizationName").value; }
if (calendarEventTitleField == 1) { cEventTitle = document.getElementById("calendarEventTitle").value; }
if (calendarEventDescriptionField == 1) { cEventDescription = document.getElementById("calendarEventDescription").value; }
if (document.getElementById("calendarEvtRecurType")) {
						      recurChoice = parseInt(document.getElementById("calendarEvtRecurType").options[document.getElementById("calendarEvtRecurType").selectedIndex].value);
						      recurValue = parseInt(document.getElementById("calendarEvtRecurDuration").options[document.getElementById("calendarEvtRecurDuration").selectedIndex].value);
						     }
/* Validate */
if (calendarFirstNameField == 1) { if (!(calendarValidate_nameStringPattern(cFirstName)) || cFirstName.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "First Name"); } }
if (calendarLastNameField == 1) { if (!(calendarValidate_nameStringPattern(cLastName)) || cLastName.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Last Name"); } }
if (calendarEmailField == 1) { if (!(calendarValidate_emailStringPattern(cEmail))) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Email"); } }
if (calendarOrganizationNameField == 1) { if (cOrganizationName.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Org Name"); } }
if (calendarEventTitleField == 1) { if (cEventTitle.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Event Title"); } }
if (calendarEventDescriptionField == 1) { if (cEventDescription.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Event Description"); } }
/* Process */
if (passFlag == 1) {
		    /* Compile Data; IE9- does not support new FormData() method, so compile data the old way */
		    var sendBlock = "";
		    sendBlock = "month=" + tmpPaneMonthNum;
		    sendBlock = sendBlock + "&day=" + tmpPaneDayNum;
		    sendBlock = sendBlock + "&year=" + tmpPaneYearNum;
		    if (calendarFirstNameField == 1) { sendBlock = sendBlock + "&firstname=" + calendarFilter_Encode(cFirstName); }
		    if (calendarLastNameField == 1) { sendBlock = sendBlock + "&lastname=" + calendarFilter_Encode(cLastName); }
		    if (calendarEmailField == 1) { sendBlock = sendBlock + "&email=" + calendarFilter_Encode(cEmail); }
		    if (calendarOrganizationNameField == 1) { sendBlock = sendBlock + "&organizationname=" + calendarFilter_Encode(cOrganizationName); }
		    if (calendarEventTitleField == 1) { sendBlock = sendBlock + "&eventtitle=" + calendarFilter_Encode(cEventTitle); }
		    if (calendarEventDescriptionField == 1) { sendBlock = sendBlock + "&eventdescription=" + calendarFilter_Encode(cEventDescription); }

		    if (recurChoice > 0) {
					  if (recurChoice == 1) {
								 sendBlock = sendBlock + "&consecutiveweeks=1";
								 sendBlock = sendBlock + "&consecutivemonths=0";
								 sendBlock = sendBlock + "&quantity=" + recurValue;
								}
					  else {
						sendBlock = sendBlock + "&consecutiveweeks=0";
						sendBlock = sendBlock + "&consecutivemonths=1";
						sendBlock = sendBlock + "&quantity=" + recurValue;
					       }
					 }
		    else {
			  sendBlock = sendBlock + "&consecutiveweeks=0";
			  sendBlock = sendBlock + "&consecutivemonths=0";
			  sendBlock = sendBlock + "&quantity=0";
			 }
		    /* Compile Rooms & Times Requested */
		    var reservationListFrmValue = "", refNum = 0, refTime = "", xIndex = 0, yIndex = 0;
		    for (x = 0; x < calendarReservationTimeSlot.length; x++) {
		    							      xIndex = calendarReservationTimeSlot[x].split("_")[0]; yIndex = calendarReservationTimeSlot[x].split("_")[1];
		    							      refNum = roomDetails[xIndex].room; refTime = roomReservations[yIndex].timegrid;
		    							      if (x == 0) { reservationListFrmValue = refNum + "," + refTime; }
									      else { reservationListFrmValue = reservationListFrmValue + "|" + refNum + "," + refTime; }
		    							     }
		    sendBlock = sendBlock + "&reservations=" + calendarFilter_Encode(reservationListFrmValue);
		    /* Disable Buttons */
		    document.getElementById("calendarReserveFrm").disabled = true;
		    document.getElementById("calendarClearFrm").disabled = true;
		    /* Message */
		    document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = calendarProcessingMsg;
		    /* Send Data */
		    calendarXMLRequest(calendarSPathRooms, sendBlock, "roomreservation");
		   }
else { document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = "Please complete " + failParts + "."; }
}
function calendarExtractGetReservationParameters() {
var retDataFlag = 0, tmpResponseMsg = "";
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = dataSegment.split("||"); retDataFlag = 1;
								       for (y = 0; y < xmlRow.length; y++) {
													    var tmp_Name = xmlRow[y].split("=")[0].toLowerCase(), tmp_Value = xmlRow[y].split("=")[1];
													    if (tmp_Name == "status") { tmpResponseMsg = tmp_Value; }
													   }
								      }
					 }
if (retDataFlag == 1) {
		       if (tmpResponseMsg.toLowerCase() == "success") {
								       document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = calendarSubmitSuccessMsg;
								       setTimeout("calendarReserveFrmPASS()", 5000);
								      }
		       else { document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = tmpResponseMsg; }
		      }
else { calendarReserveFrmFAIL(); }
}
function calendarReserveFrmPASS() {
/* Clear Time Slots */
calendarReservationTimeSlot = [];
/* Close Panes */
calendarReviewFrmPaneClose(); calendarReviewPaneClose();
/* Load Calendar */
var txtDate = "";
if (parseInt(tmpPaneMonthNum) == 1) { txtDate = "January " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 2) { txtDate = "February " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 3) { txtDate = "March " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 4) { txtDate = "April " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 5) { txtDate = "May " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 6) { txtDate = "June " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 7) { txtDate = "July " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 8) { txtDate = "August " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 9) { txtDate = "September " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 10) { txtDate = "October " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 11) { txtDate = "November " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 12) { txtDate = "December " + tmpPaneYearNum; }
calendarRender(tmpPaneMonthNum + "/" + tmpPaneYearNum, txtDate);
}
function calendarReserveFrmFAIL() {
document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = calendarSubmitFailMsg;
}
function calendarNoteFrm() {
var passFlag = 1, failParts = "", cFirstName = "", cLastName = "", cEmail = "", cOrganizationName = "", cEventTitle = "", cEventDescription = "", cStartDate = "", cEndDate = "";
/* Trim Data */
if (calendarFirstNameField == 1) { document.getElementById("calendarFirstName").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarFirstName").value)); }
if (calendarLastNameField == 1) { document.getElementById("calendarLastName").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarLastName").value)); }
if (calendarEmailField == 1) { document.getElementById("calendarEmail").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarEmail").value)); }
if (calendarOrganizationNameField == 1) { document.getElementById("calendarOrganizationName").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarOrganizationName").value)); }
if (calendarEventTitleField == 1) { document.getElementById("calendarEventTitle").value = calendarFilter_stringLeftClip(calendarFilter_stringRightClip(document.getElementById("calendarEventTitle").value)); }
/* Load Data */
if (calendarFirstNameField == 1) { cFirstName = document.getElementById("calendarFirstName").value; }
if (calendarLastNameField == 1) { cLastName = document.getElementById("calendarLastName").value; }
if (calendarEmailField == 1) { cEmail = document.getElementById("calendarEmail").value; }
if (calendarOrganizationNameField == 1) { cOrganizationName = document.getElementById("calendarOrganizationName").value; }
if (calendarEventTitleField == 1) { cEventTitle = document.getElementById("calendarEventTitle").value; }
if (calendarEventDescriptionField == 1) { cEventDescription = document.getElementById("calendarEventDescription").value; }
/* Validate */
if (calendarFirstNameField == 1) { if (!(calendarValidate_nameStringPattern(cFirstName)) || cFirstName.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "First Name"); } }
if (calendarLastNameField == 1) { if (!(calendarValidate_nameStringPattern(cLastName)) || cLastName.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Last Name"); } }
if (calendarEmailField == 1) { if (!(calendarValidate_emailStringPattern(cEmail))) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Email"); } }
if (calendarOrganizationNameField == 1) { if (cOrganizationName.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Org Name"); } }
if (calendarEventTitleField == 1) { if (cEventTitle.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Event Title"); } }
if (calendarEventDescriptionField == 1) { if (cEventDescription.length == 0) { passFlag = 0; failParts = calendarFailPartsAdd(failParts, "Event Description"); } }
/* Process */
if (passFlag == 1) {
		    /* Compile Data; IE9- does not support new FormData() method, so compile data the old way */
		    var sendBlock = "";
		    sendBlock = "month=" + tmpPaneMonthNum;
		    sendBlock = sendBlock + "&day=" + tmpPaneDayNum;
		    sendBlock = sendBlock + "&year=" + tmpPaneYearNum;
		    if (calendarFirstNameField == 1) { sendBlock = sendBlock + "&firstname=" + calendarFilter_Encode(cFirstName); }
		    if (calendarLastNameField == 1) { sendBlock = sendBlock + "&lastname=" + calendarFilter_Encode(cLastName); }
		    if (calendarEmailField == 1) { sendBlock = sendBlock + "&email=" + calendarFilter_Encode(cEmail); }
		    if (calendarOrganizationNameField == 1) { sendBlock = sendBlock + "&organizationname=" + calendarFilter_Encode(cOrganizationName); }
		    if (calendarEventTitleField == 1) { sendBlock = sendBlock + "&eventtitle=" + calendarFilter_Encode(cEventTitle); }
		    if (calendarEventDescriptionField == 1) { sendBlock = sendBlock + "&eventdescription=" + calendarFilter_Encode(cEventDescription); }
		    cStartDate = document.getElementById("calendarEvtStartMonth").options[document.getElementById("calendarEvtStartMonth").selectedIndex].value + "/" + document.getElementById("calendarEvtStartDay").options[document.getElementById("calendarEvtStartDay").selectedIndex].value + "/" + document.getElementById("calendarEvtStartYear").options[document.getElementById("calendarEvtStartYear").selectedIndex].value;
		    cEndDate = document.getElementById("calendarEvtEndMonth").options[document.getElementById("calendarEvtEndMonth").selectedIndex].value + "/" + document.getElementById("calendarEvtEndDay").options[document.getElementById("calendarEvtEndDay").selectedIndex].value + "/" + document.getElementById("calendarEvtEndYear").options[document.getElementById("calendarEvtEndYear").selectedIndex].value;
		    sendBlock = sendBlock + "&startdate=" + calendarFilter_Encode(cStartDate);
		    sendBlock = sendBlock + "&enddate=" + calendarFilter_Encode(cEndDate);
		    /* Disable Buttons */
		    document.getElementById("calendarReserveFrm").disabled = true;
		    document.getElementById("calendarClearFrm").disabled = true;
		    /* Message */
		    document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = calendarProcessingMsg;
		    /* Send Data */
		    calendarXMLRequest(calendarSPathSNotes, sendBlock, "notereservation");
		   }
else { document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = "Please complete " + failParts + "."; }
}
function calendarExtractGetNoteParameters() {
var retDataFlag = 0, tmpResponseMsg = "";
for (x = 0; x <= wxml_getnumrows(); x++) {
					  var dataSegment = wxml_getrow(x);
					  if (dataSegment.length > 0) {
								       xmlRow = new Array(); xmlRow = dataSegment.split("||"); retDataFlag = 1;
								       for (y = 0; y < xmlRow.length; y++) {
													    var tmp_Name = xmlRow[y].split("=")[0].toLowerCase(), tmp_Value = xmlRow[y].split("=")[1];
													    if (tmp_Name == "status") { tmpResponseMsg = tmp_Value; }
													   }
								      }
					 }
if (retDataFlag == 1) {
		       if (tmpResponseMsg.toLowerCase() == "success") {
								       document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = calendarSubmitSuccessMsg;
								       setTimeout("calendarNoteFrmPASS()", 5000);
								      }
		       else { document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = tmpResponseMsg; }
		      }
else { calendarNoteFrmFAIL(); }
}
function calendarNoteFrmPASS() {
/* Close Panes */
calendarNoteFrmPaneClose(); calendarReviewPaneClose();
/* Load Calendar */
var txtDate = "";
if (parseInt(tmpPaneMonthNum) == 1) { txtDate = "January " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 2) { txtDate = "February " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 3) { txtDate = "March " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 4) { txtDate = "April " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 5) { txtDate = "May " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 6) { txtDate = "June " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 7) { txtDate = "July " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 8) { txtDate = "August " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 9) { txtDate = "September " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 10) { txtDate = "October " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 11) { txtDate = "November " + tmpPaneYearNum; }
else if (parseInt(tmpPaneMonthNum) == 12) { txtDate = "December " + tmpPaneYearNum; }
calendarRender(tmpPaneMonthNum + "/" + tmpPaneYearNum, txtDate);
}
function calendarNoteFrmFAIL() {
document.getElementById("calendarReservePaneLeftMsgTxt").innerHTML = calendarSubmitFailMsg;
}
